Introducing Windows Media Player 10

You can use Microsoft® Windows Media® Player to play and organize digital media files on your computer and on the Internet. In addition, you can use the Player to play, copy, and create CDs; play DVDs and VCDs; and synchronize your music, videos, and your favorite recorded TV shows to portable devices, such as portable digital audio players, Pocket PCs, and Portable Media Centers.

You can also find and purchase digital media content on the Internet by visiting the Online Stores area of the Player.

This section covers:

  • System requirements. Describes the hardware and software required to use Windows Media Player 10.
  • Common tasks. Highlights some of the most basic tasks that you can accomplish with the Player.
  • Player areas and buttons. Describes the primary user interface elements of the Player, including the playback controls and the information display areas.
  • Using the Player Help system. Describes how to use the Player Help system.

Related topics

  • Using the Player
  • Customizing the Player
  • Troubleshooting the Player
  • Accessibility for people with disabilities
© 2004 Microsoft Corporation. All rights reserved.


System requirements

The following hardware and software are required to use Windows Media Player 10.

Component | Required | Recommended
Operating system | Microsoft Windows® XP Home Edition, or Windows XP Professional | Windows XP Home Edition or Windows XP Professional
Processor | A 233 megahertz (MHz) processor, such as an Intel Pentium II or Advanced Micro Devices (AMD) processor | A 500 MHz processor or faster
RAM | 64 megabytes (MB) | 128 MB
Free hard disk space | 100 MB | Approximately 300 MB to use System Restore
Optical drive | CD or DVD drive | CD-R or CD-RW drive
Modem | 28.8 kilobits per second (Kbps) | 56 Kbps or faster
Sound card | 16-bit sound card | Compatible 5.1 multichannel audio sound card (for example, Creative Sound Blaster Live! 5.1 or Sound Blaster Audigy; Echo Audio Layla24 or Mona; or M-Audio Delta 1010, Delta 1010-LT, or Delta 410) For more information about multichannel audio, see the 5.1 Audio Web page.
Video adapter and monitor | Super VGA (800 x 600) or higher resolution | Same as minimum configuration
Sound output device | Speakers or headphones | 5.1 multichannel speakers For more information about device compatibility, see the documentation for your sound card.
Software | Microsoft ActiveSync® (required only if you are using a Windows Powered Pocket PC or Smartphone). For more information about the version of ActiveSync required for your device, see your portable device documentation. | Same as minimum configuration
Internet browser | Microsoft Internet Explorer 5.01 or Netscape Navigator 4.7 | Microsoft Internet Explorer 6 Service Pack 1 or Netscape Navigator 7.0 To support digital media embedded in a Web page, Netscape Navigator 6.x and 7.0 must be used only with the Java 2 Runtime Environment version 1.3.x.

The following hardware and software are required to use certain features in Windows Media Player 10.

Feature | Requirement
File synchronization to portable devices | A device that supports file synchronization and has a Universal Serial Bus (USB) 1.1, USB 2.0, or Institute of Electrical and Electronics Engineers (IEEE) 1394 (such as Apple FireWire or Sony i.LINK) interface. A USB 2.0 interface is recommended for best performance. For a list of compatible devices, see the Microsoft Web site.
Ripping CD tracks in MP3 format | MP3 Creation plug-in. For more information, see the Plug-ins Web page.
DVD playback | Compatible DVD decoder software. For more information, see the Plug-ins Web page.
S/PDIF digital output for Windows Media Audio 9 Professional content | Sony/Philips digital interface (S/PDIF) connector between your computer and your consumer audio device. DirectX 9.0b. For more information and to download DirectX 9.0b, see the Microsoft DirectX Web site.
DVD image capture | Compatible DVD decoder software. Display hardware that supports video mixing rendering. For more information, see the documentation for your monitor.

Related topics

  • Introducing Windows Media Player 10


Common tasks

To help you get up and running quickly, this section highlights the most frequently used tasks that you can accomplish with Windows Media Player.

  • To show or hide the menu bar
  • To play files
  • To rip (copy) tracks from an audio CD
  • To burn (create) your own CD
  • To add items to your library
  • To create a playlist
  • To set up automatic synchronization
  • To browse the available online stores
  • To switch between display modes
  • To apply a skin

Related topics

  • Introducing Windows Media Player 10


Player areas and buttons

Windows Media Player consists of several areas. Some areas contain controls that you can use to perform an action, such as playing a CD or adjusting graphic-equalizer levels. Other areas display videos; visualizations; or information, such as details about the music you are listening to.

This section covers:

  • Features taskbar
  • Playback Controls
  • Now Playing area
  • Mini Player toolbar

Related topics

  • Introducing Windows Media Player 10


Features taskbar

The Features taskbar contains buttons that link to the key Player features and an area with buttons that link to music stores, video stores, and radio stations on the Internet.

Graphic not available in this release.

The following table explains the function of the buttons that can be displayed on the Features taskbar.

Player features

Click | To
Now Playing | View a video, visualization, or information about the content that is playing. To quickly select a CD, DVD, VCD, album, artist, genre, playlist, or radio station to play, click the Quick Access Panel button (the arrow next to Now Playing).
Library | Organize digital media files on your computer and links to content on the Internet, or create playlists of your favorite audio and video content.
Rip | Play a CD or copy specific tracks from a CD to the library on your computer.
Burn | Create your own CDs from tracks you have stored on your computer.
Sync | Synchronize your music, videos, and recorded TV shows with portable devices, such as portable digital audio players, Pocket PCs, and Portable Media Centers.
Guide | Find digital media on the Internet.

Online stores

Click | To
Music Store | Get access to music on the Internet by visiting an online music store.
Radio | Get access to radio stations on the Internet by visiting an online radio station provider.
Video Store | Get access to video on the Internet by visiting an online video store.
Select an online store button* | Change the online stores that are displayed or browse other available online stores.

*Graphic not available in this release.

Related topics

  • Player areas and buttons


Playback Controls

The playback controls are displayed at the bottom of Windows Media Player. Use these controls to adjust the volume level and to control basic playback tasks such as playing, pausing, stopping, rewinding, and fast-forwarding audio and video files.

Graphic not available in this release.

The following table explains the function of each control.

Click | To
Play button | Play a selected item. When an item is playing, the Play button becomes the Pause button except if you are playing a live event that is being streamed.
Pause button | Pause a selected item. To resume play, click Play. When an item is not playing (that is, it is either paused or stopped), the Pause button becomes the Play button.
Stop button | Stop playing a selected item.
Seek slider | Play an item at a specific point. The Seek slider indicates the playback progress of a selected item. When the Seek slider is available, you can move the slider to the place in a selected item that you want to start playback.
Mute button | Turn the sound on or off.
Volume slider | Control the volume level.
Previous button | Play the previous item, if applicable.
Rewind button | Rewind an item, if applicable.
Fast Forward button Fast Forward button | Fast-forward an item, if applicable.
Next button | Play the next item, if applicable.

Related topics

  • Player areas and buttons


Now Playing area

The Now Playing area contains a number of panes that you can use to view videos, visualizations, media information, audio and video enhancement controls, and the current playlist. You can show or hide these panes to suit your needs.

This section covers:

  • Video and Visualization pane
  • Info Center View pane
  • Enhancements pane
  • Media Information pane
  • Playlist pane

Related topics

  • Player areas and buttons


Video and Visualization pane

A component of the Now Playing feature, the Video and Visualization pane displays the current video or visualization that you are playing. You cannot display the Video and Visualization pane and the Info Center View pane at the same time.

Graphic not available in this release.

Note Image Notes

  • The Video and Visualization pane is displayed automatically when you play a video or DVD. If you have switched to another feature (for example, Guide) and you are playing a video or DVD, you can return to the Video and Visualization pane by clicking the View menu, and then clicking Show Video.
  • If you have switched to Info Center View and you are playing audio content, you can return to the Video and Visualization pane by clicking the View menu, pointing to Visualizations, and then clicking a visualization.

Related topics

  • Now Playing area


Info Center View pane

A component of the Now Playing feature, the Info Center View pane displays detailed information, if available, about the content that you are playing. Click the links at the top of the pane to display specific information, such as artist information, album information, or lyrics.

You cannot display the Info Center View pane and the Video and Visualization pane at the same time.

Graphic not available in this release.

Note Image Notes

  • To show the Info Center View pane, on the View menu, click Info Center View.
  • If no detailed media information about the audio content you are playing is available, the last visualization (or a previously enabled plug-in) is displayed instead.

Related topics

  • Now Playing area


Enhancements pane

A component of the Now Playing feature, the Enhancements pane contains several controls that you can use to adjust graphic-equalizer levels, video settings, audio effects, play speed, and the color of Windows Media Player. In addition, you can use this pane to share a streaming media clip with a friend.

Graphic not available in this release.

Note Image Note

  • To show or hide the Enhancements pane, on the View menu, point to Enhancements, and then click Show Enhancements.

Related topics

  • Now Playing area


Media Information pane

A component of the Now Playing feature, the Media Information pane displays a subset of information, if available, about the content that you are playing. For example, for music that you have copied from CDs, the Media Information pane displays the album art and album title.

To see more detailed information, if available, display the Info Center View pane.

Graphic not available in this release.

Note Image Notes

  • To show or hide the Media Information pane, on the View menu, point to Now Playing Options, and then click Show Media Information.

Related topics

  • Now Playing area


Playlist pane

A component of the Now Playing feature, the Playlist pane displays the items in the current playlist. For CDs, the playlist pane displays the CD track names and durations. For DVDs, the playlist pane displays the DVD title and chapter names.

Graphic not available in this release.

Note Image Note

  • To show or hide the Playlist pane, on the View menu, point to Now Playing Options, and then click Show Playlist.

Related topics

  • Now Playing area


Mini Player toolbar

The mini Player enables you to perform basic playback functions even if the Player is minimized. When you have enabled mini Player mode and you minimize the Player, the playback controls appear in the Windows taskbar.

Mini Player with Video and Visualization window hidden

Related topics

  • Player areas and buttons
  • To switch between display modes


Using the Player Help system

The Windows Media Player Help system consists of two parts:

  • Player Help. Provides topics that explain how to accomplish specific tasks in Player Help. This section contains tips and tricks for using Windows Media Player Help effectively.
  • Error message Help. Provides information about troubleshooting Player error messages that you may encounter. This section contains tips and tricks for using the Windows Media Player Error Center Help and Web Help effectively.

Related topics

  • Introducing Windows Media Player 10


Player Help

Windows Media Player Help provides information about using the Player. The following table lists a number of tips and tricks for using Help effectively.

To Do this
Show Help topics
  • On the Help menu, click Windows Media Player Help.
  • When using Windows Media Player, press F1.
  • In a Windows Media Player dialog box, click the Help button.
Browse topics
  1. Click the Contents tab.
  2. Click a book or topic title.
Search for an index entry
  1. Click the Index tab.
  2. In the box, type a word or phrase that you want to search for.
  3. Double-click an index entry.
Search for a word or phrase in a topic
  1. Click the Search tab.
  2. In the box, type a word or phrase that you want to search for.
  3. To limit search results, do any of the following:
    • Enclose the phrase or multiple words in quotation marks to limit the search to topics in which those words appear next to each other.
    • Click the right arrow button to insert Boolean operators (AND, OR, NEAR, NOT).
    • Select or clear the Search previous results, Match similar words, or Search titles only check boxes.
  4. Click List Topics, and then double-click a topic title to view it.
Refine a previous search
  1. Click the Search tab.
  2. In the box, type the new word or phrase that you want to search for.
  3. Select the Search previous results check box.
  4. Click List Topics.
Sort the search results
  1. Click the Search tab.
  2. Perform a search.
  3. Click the Title or Rank column headings.

    Topics are ranked by the number of times the item that you searched for appears in the topic.
Turn on or off search highlight
  1. Click the Options button, and then click Search Highlight On or Search Highlight Off.
  2. Press F5 to refresh the screen.
To print one or more topics
  1. Click the Contents tab.
  2. Right-click the book or topic that you want to print, and then click Print.
  3. Select one of the print options.
To expand or collapse all books
  1. Click the Contents tab.
  2. Right-click a book or topic, and then click Open all or Close all.

Related topics

  • Using the Player Help system
  • Error message Help


Error message Help

Occasionally, you may encounter a program error while using Windows Media Player. When this occurs, a message is displayed that indicates briefly what the problem is and what you can do, if anything, to solve the problem.

In some cases, more detailed information may be available to help you troubleshoot the problem. Windows Media Player has two mechanisms for providing you with supplemental information about a message.

This section covers:

  • Windows Media Player Error Center Help
  • Windows Media Player Web Help

Both of these resources contain the same type of information. The difference is primarily where the information is stored (on your computer or on the Internet) and how you access it.

Related topics

  • Using the Player Help system
  • Player Help


Windows Media Player Error Center Help

If you encounter a problem while using Windows Media Player, an error message is displayed that indicates briefly what the problem is and what you can do, if anything, to solve the problem. In some cases, more detailed information may be available on your computer to help you troubleshoot the problem.

To view supplemental information about errors, do one of the following:

  • If the error message is displayed, click More Information.
  • If the error message is not displayed, open Windows Media Player Error Center Help. Use the Search tab to enter keywords or the complete error message ID (for example, 0xC00D0BC2), and then click List Topics.

Note Image Note

  • Not all error message dialogs include a More Information button. If a More Information button is not displayed, click the Web Help button to access a Microsoft Support Web site. You must be connected to the Internet to view Web Help.

Related topics

  • Error message Help
  • Windows Media Player Web Help


Windows Media Player Web Help

If you encounter a message and no additional information is available on your computer to help you troubleshoot the problem, a Web Help button is displayed in the message. To see if any new information is available on the Web site, click the Web Help button.

Note Image Notes

  • Not all error messages have Web Help topics.
  • You must be connected to the Internet to view Web Help.
  • If more detailed information is available on your computer to help you troubleshoot the problem, a More Information button is displayed on the message instead of a Web Help button. To read the Windows Media Player Error Center Help topic, click the More Information button. A Web Help link appears at the bottom of all Error Center topics.

Related topics

  • Error message Help
  • Windows Media Player Error Center Help


Using the Player

With Windows Media Player, you can play CDs, DVDs, and VCDs; copy tracks from CDs; create your own audio and data CDs; listen to radio stations; search for and organize digital media files; and synchronize files with portable devices such as portable digital audio players, Pocket PCs, and Portable Media Centers.

This section covers:

  • Using general playback controls. Provides information about tasks such as how to play and fast-forward files, change the volume, view file properties and statistics, and view information about content.
  • Using CDs, DVDs, and VCDs. Describes how to to play, rip, and burn CDs, and how to play DVDS and VCDs.
  • Organizing your files. Describes the Library feature.
  • Synchronizing content with devices. Describes how to synchronize content in your library with portable devices, Portable Media Centers, and storage cards by using the Sync feature.
  • Shopping for digital media on the Internet. Describes how to find and purchase content on the Internet by using the Guide feature and the Online Stores area of the Features taskbar.
  • Maintaining your privacy. Describes how information is accessed and used in the Player.
  • Keeping your computer secure. Describes how to better secure the Player and your computer.
  • Keyboard access. Lists keyboard shortcuts for using the Player.

Related topics

  • Introducing Windows Media Player 10


Using general playback controls

You can use Windows Media Player to play audio and video files that are on your computer, an intranet, or the Internet. As with a compact disc (CD) player or VCR, you can use the Player to control what content you want to play and how it plays.

This section covers:

  • Playing files
  • Adjusting the volume
  • Viewing information about files and content

Related topics

  • Using the Player


Playing files

Windows Media Player includes a number of controls and commands that you can use to play files.

This section covers:

  • To play files
  • To play content at variable speeds
  • To play video one frame at a time
  • To play an item at a specific point
  • To play marked sections in a file
  • To play files in a random order
  • To pause a file
  • To stop a file
  • To fast-forward a file
  • To rewind a file
  • To skip to the next file
  • To skip to the previous file
  • To turn on captions or subtitles
  • To change the caption or subtitle language
  • To change the soundtrack language
  • To play files in other programs
  • To share a clip with a friend

Related topics

  • Using general playback controls
  • Setting general Player options
  • Setting file type options
  • Setting performance options


To play files

To | Do this
Play a paused or stopped file Click the Play button Play button .

-or-

On the Play menu, click Play/Pause.
Play a streaming media file on a Web page | Click the link on the Web page.
Play a file on your computer or network
  1. On the File menu, click Open.
  2. Navigate to the appropriate location, click the file, and then click Open.
Play a file on the Web by entering the URL to the file
  1. On the File menu, click Open URL.

    The following list provides examples of the kinds of locations that you can specify:

    • mms://server/filename (for example, a file with a .wma, .wmv, .asf, or .mp3 extension)
    • http://server/filename
    • \\server\content\filename
    • file://\\server\content\filename
    • mms://server/sami.asf?SAMI=http://server/sami/sami_demo.smi (Synchronized Accessible Media Interchange (SAMI) file)
  2. Type the URL to the file, and then click OK.

Note Image Notes

  • If the items do not play in the order that you expect, the shuffle feature may be turned on. To turn off the shuffle feature, on the Play menu, click Shuffle (the check mark next to the command is removed).
  • If you find that files play back too quickly in the Player, try installing new drivers for your sound card. For more information, see your computer manufacturer's Web site or scan for driver updates on the Windows Update Web site.
  • If you have difficulty playing streaming media files on Web pages when using a Netscape browser, you may need to reinstall the Windows Media Player Plug-in for Netscape Navigator.

Related topics

  • Playing files
  • To adjust the volume
  • To view statistics about playback
  • To play a CD
  • To play a DVD
  • 1To play a VCD


To play content at variable speeds

  1. Play content.
  2. On the View menu, point to Enhancements, and then click Play Speed Settings.
  3. In the Enhancements pane, move the Play Speed slider to the speed at which you want to play the content, or click the Slow, Normal, or Fast links.

Note Image Notes

  • Not all content can be played at variable speeds.
  • To maintain audio and video fidelity when playing content slower or faster than normal, select play speeds between 0.5 and 2.0. This feature, known as time expansion and time compression, is only supported for files with the extensions .wma, .wmv, .wm, .mp3, or .asf. In addition, it may not be available when playing streaming or progressively downloaded media.
  • To select speeds between the play speed marks, clear the Snap slider to common speeds check box.
  • The timecode indicator is only active when playing files in Windows Media Format that include Society of Motion Picture and Television Engineers (SMPTE) timecode information. The timecode indicator displays the progress of the file in hours, minutes, seconds, and frames (hh:mm:ss:ff).

Related topics

  • Playing files
  • To fast-forward a file
  • To rewind a file


To play video one frame at a time

  1. Play video.
  2. On the View menu, point to Enhancements, and then click Play Speed Settings.
  3. In the Enhancements pane, do one of following:
    • To move the video backward one frame, click the Previous frame button Previous frame button.
    • To move the video forward one frame, click the Next frame button Next frame button.

Note Image Notes

  • Not all video can be played one frame at a time.
  • To return to normal play speed, click the Normal link or the Play button.

Related topics

  • Playing files


To play an item at a specific point

  • Play a file, and then move the Seek slider Seek slider to the point that you want the file to play.

Note Image Note

  • The Seek slider is unavailable for some files, or if the content is live.

Related topics

  • Playing files


To play marked sections in a file

Some digital media files contain markers, which are like tracks on a CD. When you select a marker from a list, the Player begins playing the section of the file associated with that marker.

  • On the View menu, point to File Markers, and then click a marker to play.

Related topics

  • Playing files
  • To play an item at a specific point


To play files in a random order

  • On the Play menu, click Shuffle.

    A check mark appears on the menu next to the command when it is turned on.

Note Image Note

  • This command does not work with DVDs.

Related topics

  • Playing files


To pause a file

  • Click the Pause button Pause button .

    -or-

    On the Play menu, click Play/Pause.

Related topics

  • Playing files


To stop a file

  • Click the Stop button Stop button .

    -or-

    On the Play menu, click Stop.

Related topics

  • Playing files


To fast-forward a file

  • Play a file, and then click the Fast Forward button Fast Forward button .

    -or-

    On the Play menu, click Fast Forward.

Note Image Notes

  • To resume play, click the button or command again. Clicking the button or command again may toggle between several play speeds if the file supports this feature.
  • Not all files can be fast-forwarded.

Related topics

  • Playing files
  • To play content at variable speeds


To rewind a file

  • Play a file, and then click the Rewind button Rewind button .

    -or-

    On the Play menu, click Rewind.

Note Image Notes

  • To resume play, click the button or command again.
  • Not all files can be rewound.

Related topics

  • Playing files
  • To play content at variable speeds


To skip to the next file

  • Play a file, and then click the Next button Next button .

    -or-

    On the Play menu, click Next.

Note Image Note

  • The Next button is not available for all files.

Related topics

  • Playing files


To skip to the previous file

  • Play a file, and then click the Previous button Previous button .

    -or-

    On the Play menu, click Previous.

Note Image Note

  • The Previous button is not available for all files.

Related topics

  • Playing files


To turn on captions or subtitles

  • On the Play menu, point to Captions and Subtitles, and then click the appropriate language or other option.

    A bullet appears next to the language or option that is currently selected.

Note Image Notes

  • To turn off captions and subtitles, on the Play menu, point to Captions and Subtitles, and then click Off.
  • If the captions and subtitles feature is turned on, captions and subtitles appear automatically when you play a Windows Media file or DVD that contains caption or subtitle information. Not all Windows Media files and DVDs contain caption or subtitle information.
  • If available, subtitles appear on top of DVD videos and captions appear below the video portion of Windows Media Video files. Subtitles and captions cannot be displayed at the same time. Player performance may degrade when displaying subtitles or captions on computers with limited video memory.
  • If the Windows accessibility feature ShowSounds is turned on, the Player captions and subtitles feature is turned on by default.

Related topics

  • Playing files
  • To change the caption or subtitle language


To change the caption or subtitle language

Do one of the following:

  • To set the caption or subtitle language for a selected video, on the Play menu, point to Captions and Subtitles, and then click the appropriate language or other option.

    A bullet appears next to the language or option that is currently selected.

  • To set the default caption or subtitle language for all videos, on the Play menu, point to Captions and Subtitles, and then click Defaults. In the Default Language Settings dialog box, in the Captions and subtitles list, click the language in which you want the captions and subtitles to appear.

Note Image Note

  • Not all videos support captions or subtitles.

Related topics

  • Playing files
  • To turn on captions or subtitles


To change the soundtrack language

Do one of the following:

  • To set the soundtrack language for a selected Windows Media file or DVD, on the Play menu, point to Audio and Language Tracks, and then click the appropriate language or other option.

    A bullet appears next to the language or option that is currently selected.

  • To set the default soundtrack language for all Windows Media files and DVDs, on the Play menu, point to Audio and Language Tracks, and then click Defaults. In the Default Language Settings dialog box, in the Audio language list, click the language in which you want the soundtrack to play.

Note Image Notes

  • This feature is only available for Windows Media files and DVDs. Not all Windows Media files and DVDs support alternate soundtrack languages.
  • If you change the soundtrack language while progressively downloading a file, the file restarts from the beginning.

Related topics

  • Playing files


To play files in other programs

  • On the View menu, point to Switch to Other Program, and then click the program you want to switch to. (This process is sometimes referred to as docking the Player.)

Note Image Notes

  • This feature is only available when another program starts Windows Media Player in order to continue playing content.
  • To switch between the Player and the other program, use the Switch to Other Program command or quit the Player.

Related topics

  • Playing files


To share a clip with a friend

  1. Play a file that other people can access over a network (for example, a streaming media file on a Web page, or a file stored in a shared folder).
  2. On the View menu, point to Enhancements, and then click Media Link for E-mail.
  3. Click the Mark in link at the point where you want the clip to start.

    If necessary, use the Slow, Normal, Fast, Previous frame, or Next frame controls to navigate to the desired start point.

  4. Click the Mark out link at the point where you want the clip to stop.
  5. Click the Send media link in e-mail link.

    The Player starts your e-mail program and attaches a playlist file to a new e-mail message.

Note Image Notes

  • When you use this feature, you are sending a link to a file on a network. You are not sending a copy of the file itself.
  • This feature is not available for live broadcasts or for files that are not accessible to others over a network (such as a local file stored on your computer).

Related topics

  • Playing files


Adjusting the volume

You can adjust the volume level of Windows Media Player to suit your preference. You can also turn off the sound quickly by using the Mute button.

This section covers:

  • To adjust the volume

Related topics

  • Using general playback controls


To adjust the volume

  • Move the Volume slider Volume slider left to decrease or right to increase the volume level.

    -or-

    On the Play menu, point to Volume, and then click Up, Down, or Mute.

Note Image Note

  • To turn audio off, click the Mute button Mute button . To turn audio back on, click the button Mute button again.

Related topics

  • Adjusting the volume
  • To adjust graphic equalizer levels
  • To adjust audio dynamic range (Quiet Mode)
  • To turn on volume leveling


Viewing information about files and content

You can view information about the files that you play (such as statistics about the quality of the file playback or the location, length, and bit rate of the file), information about the content of each file (such as the artist and album name), or more information about problems you encounter (such as when a license cannot be found).

This section covers:

  • To view statistics about playback
  • To view file properties
  • To view license details
  • To view information about content
  • To view error information about files
  • To view lyrics
  • To add static lyrics to a file
  • To add synchronized lyrics to a file

Related topics

  • Using general playback controls
  • Viewing information about a CD


To view statistics about playback

  1. Play a file.
  2. On the View menu, click Statistics.
  3. Click the Basic tab to view the bit rate of the file being played or the bandwith of the content being streamed; click the Advanced tab to view information about the quality of the file being played (bit rate or video information) or the content being streamed (connection and packet information).

Related topics

  • Viewing information about files and content


To view file properties

  1. Click Library, and then click a file.
  2. On the File menu, click Properties.

Related topics

  • Viewing information about files and content


To view license details

  1. Click Library, and then click a file.
  2. On the File menu, click Properties.
  3. Click the License tab.

    Information about the file's license is displayed in the License details box.

Related topics

  • Viewing information about files and content


To view information about content

To Do this
View brief information about a current track, CD, or DVD
  1. On the View menu, point to Now Playing Options, and then click Show Media Information.

    A check mark appears next to the command to indicate that it is turned on. Information about the current track, CD, or DVD appears in the Media Information pane.
View detailed artist and album information about a current track or CD
  1. On the View menu, click Info Center View.
  2. Click the links that are displayed in the Info Center View pane to view detailed information about the artist or album.

Note Image Notes

  • For optimal use of Info Center View, you must be connected to the Internet.
  • If no detailed media information about the audio content that you are playing is available, the last visualization (or, in some cases, other plug-in) that you selected appears instead.

Related topics

  • Viewing information about files and content


To view error information about files

When the Player cannot play or copy a file, the file information is orange and an exclamation point (!) is displayed.

  • Right-click the file, and then click Error Details.

Related topics

  • Viewing information about files and content
  • Error message Help


To view lyrics

  1. Click Now Playing.
  2. In the Playlist pane, click the file for which you want to view lyrics.

    If the Playlist pane is not displayed, on the View menu, point to Now Playing Options, and then click Show Playlist.

  3. In the Info Center View pane, click the link that displays lyrics.

    If the Info Center View pane is not displayed, on the View menu, click Info Center View.

Note Image Notes

  • The information displayed in the Info Center View pane is provided by the default online store. Online stores may not offer the ability to view lyrics. Also, not all files contain lyrics.
  • If no detailed media information about the audio content that you are playing is available, the last visualization (or, in some cases, other plug-in) that you selected appears instead.

Related topics

  • Viewing information about files and content
  • To add static lyrics to a file
  • To add synchronized lyrics to a file


To add static lyrics to a file

  1. Click Now Playing.
  2. In the Playlist pane, click the file that you want to add static lyrics to.

    If the Playlist pane is not displayed, on the View menu, point to Now Playing Options, and then click Show Playlist.

  3. Follow the instructions displayed in the Info Center View pane for adding static lyrics.

    If Info Center View is not shown, on the View menu, click Info Center View.

Note Image Notes

  • The information displayed in the Info Center View pane is provided by the default online store. Online stores may not offer the ability to add static lyrics.
  • Static lyrics are displayed as a whole when the file begins playing; synchronized lyrics are displayed at the times that you specify. A file can contain both static and synchronized lyrics. However, if this is the case, only the synchronized lyrics are displayed during playback.
  • If no detailed media information about the audio content that you are playing is available, the last visualization (or, in some cases, other plug-in) that you selected appears instead.
  • You can also add static lyrics to a file by using Advanced Tag Editor.

Related topics

  • Viewing information about files and content
  • To view lyrics
  • To add synchronized lyrics to a file
  • Advanced Tag Editor


To add synchronized lyrics to a file

  1. Click Now Playing.
  2. In the Playlist pane, click the file that you want to add synchronized lyrics to.

    If the Playlist pane is not displayed, on the View menu, point to Now Playing Options, and then click Show Playlist.

  3. Follow the instructions displayed in the Info Center View pane for adding synchronized lyrics.

    If the Info Center View pane is not displayed, on the View menu, click Info Center View.

Note Image Notes

  • The information displayed in the Info Center View pane is provided by the default online store. Online stores may not offer the ability to add synchronized lyrics.
  • Synchronized lyrics are displayed at the times that you specify; static lyrics are displayed as a whole when the file begins playing. A file can contain both synchronized and static lyrics. However, if this is the case, only the synchronized lyrics are displayed during playback.
  • To view synchronized lyrics, you must turn on captions and subtitles.
  • If no detailed media information about the audio content that you are playing is available, the last visualization (or, in some cases, other plug-in) that you selected appears instead.
  • You can also add synchronized lyrics to a file by using Advanced Tag Editor.

Related topics

  • Viewing information about files and content
  • To view lyrics
  • To add static lyrics to a file
  • Advanced Tag Editor


Using CDs, DVDs, and VCDs

When you insert a CD, DVD, or VCD into your CD or DVD drive, Windows Media Player can play the CD, DVD, or VCD automatically, unless the Player is already in use or the Player is not the default player for CDs.

This section covers:

  • Using CDs
  • Using DVDs
  • Using VCDs

Related topics

  • Using the Player


Using CDs

When you insert an audio CD or a data CD that contains music files (also known as a media CD) into your CD drive, Windows Media Player can play the CD automatically, unless the Player is already in use or the Player is not the default player for CDs.

In addition to playing CDs, you can use the Player to rip (copy) and burn CDs.

After you copy your audio CDs to your computer, you can easily play all the music that you have collected in your library without having to change the CD as you would with a standard CD player.

You can create CDs by using any combination of tracks on your computer or in your library. The CDs that you can create are only limited by your imagination and the space on the CD.

This section covers:

  • Playing music from CDs
  • Copying music from CDs
  • Viewing information about a CD
  • Creating your own CDs

Related topics

  • Using CDs, DVDs, and VCDs
  • Setting device options


Playing music from CDs

You can use Windows Media Player to listen to your favorite music. You can even automatically skip tracks that you do not like. While playing music and other digital media files, you can use crossfading to blend the end of one track into the next track that begins to play.

When you insert an audio or data CD into the CD drive, playback of the CD begins automatically if each of the following items is true:

  • The Player is not already in use
  • The Player is the default player for CDs
  • The Player is the default player for music CDs

The Now Playing feature is displayed when the Player starts. Now Playing displays the name of the artist and the title of the track (if available), the playlist, and either a visualization or the Info Center View pane.

This section covers:

  • To play a CD
  • To skip tracks on a CD
  • To play tracks in a different order
  • To eject a CD

Related topics

  • Using CDs
  • Playing files
  • Setting file type options


To play a CD

  1. With Windows Media Player started, insert a CD into the CD drive.
  2. On the Play menu, point to CD Audio, VCD or CD Audio or DVD, VCD or CD Audio, and then click the drive that contains the CD.

Note Image Notes

  • To play a CD repeatedly, on the Play menu, click Repeat.
  • You can use the Player to play your High Definition Compatible Digital (HDCD) CDs, which have enhanced audio quality. For more information about HDCD, see the Microsoft HDCD Web site.

Related topics

  • Playing music from CDs
  • Changing your audio and video settings
  • Using visualizations


To skip tracks on a CD

  1. Click Now Playing.
  2. If the Playlist pane is not displayed, on the View menu, point to Now Playing Options, and then click Show Playlist.
  3. Right-click a track in the playlist, and then click Disable Selected Tracks.

Note Image Notes

  • You can play a skipped track by double-clicking it. You can also stop the Player from skipping the track by right-clicking the track, and then clicking Enable Selected Tracks.
  • To select adjacent tracks, press and hold the SHIFT key while selecting. To select nonadjacent tracks, press and hold the CTRL key while selecting.

Related topics

  • Playing music from CDs


To play tracks in a different order

  1. Click Now Playing.
  2. If the Playlist pane is not displayed, on the View menu, point to Now Playing Options, and then click Show Playlist.
  3. Right-click a track in the playlist, and then click Move Up or Move Down.

Related topics

  • Playing music from CDs


To eject a CD

  • On the Play menu, click Eject.

    If you have more than one CD drive, on the Play menu, point to Eject, and then click the drive from which you want to eject the CD.

Related topics

  • Playing music from CDs


Copying music from CDs

Ripping tracks from CDs to your library is easy, and you can even listen to your CD while you are copying it. Variables such as the type of CD you are trying to copy and the speed of your CD drive can affect the quality of the copy. Although you are copying digital information from a CD, you may not get an exact copy. For example, you may notice some minor flaws in the playback, such as faint scratches or pops in the audio. This is normal and is caused by the method your CD drive uses to read information from the CD. Windows Media Player tries to correct this if the error correction check box is selected, but you may still notice very minor flaws.

If the Copy protect music check box is selected when you copy the tracks, the tracks that you copy from a CD are protected files. Licenses are required to play these tracks. The license allows you to play back copied tracks on the computer, copy tracks to a non-SDMI-compliant portable device, and copy tracks to a CD.

If you want to listen to a CD while you are copying its tracks, you must configure the Player to use digital copying. Depending on how your CD player is configured, there is still a chance that you will not be able to listen to your CD while you are copying tracks, especially if you have analog speakers.

Note Image Notes

  • The Player adds volume leveling values to tracks when you copy them.
  • You should back up your licenses to a floppy disk periodically. If you reinstall or upgrade the operating system while retaining your protected files, your licenses might be lost.
  • Your hardware (CD drive and speakers) determines whether you can copy and listen to tracks by using digital or analog audio. Select the settings that work best with your hardware. For more information, see the hardware documentation provided by the manufacturer.

This section covers:

  • To rip (copy) tracks from an audio CD

Related topics

  • Using CDs
  • Setting options for copying CDs


To rip (copy) tracks from an audio CD

  1. Insert your CD into the CD drive.
  2. On the File menu, point to CDs and Devices, point to Rip Audio CD, and then click the CD drive that contains the audio CD that you want to rip.

    The Rip feature is displayed and all tracks are selected to be ripped if you have not previously ripped them from the CD.

  3. If there are any tracks that you do not want to rip, clear the check box next to them.

You can select the check box Check mark icon at the top of the list to clear or select the check boxes next to all tracks.

  4. Click Rip Music.

Note Image Notes

  • The Player adds volume leveling values to tracks when you copy them.
  • The selected tracks are copied to your My Music folder by default and are displayed in the Library feature. The My Music folder contains subfolders, labeled with the name of the artist or group, or labeled Various Artists if more than one artist is on the album. You can change the folder where your music files are stored.

Related topics

  • Copying music from CDs
  • Setting options for copying CDs
  • Setting device options


Viewing information about a CD

You can view information about your CD in the Now Playing, Library, or Rip features. When you play a CD, Windows Media Player gathers as much information about the CD as is available from databases hosted by your default online store, including the name of the artist, composer, and track titles. You can also use the Guide feature to search the database hosted by WindowsMedia.com for additional information about the CD that you are playing and the artist, such as the artist's biography and discography, reviews, and related artists.

If you are connected to the Internet and play a CD for which there is information, a subset of the information is stored on your computer so that it is available to you when you play the CD again without requiring an Internet connection.

Note that the Player must be configured to retrieve information about CDs automatically.

If information about the CD is not available (you have a rare CD, for example), or your computer is not connected to the Internet, Windows Media Player displays the track number as the title.

If the correct artist or track titles do not appear in Now Playing or Rip, you can use the Find Album Info button to update the information. You must be connected to the Internet to use this feature. Newer CDs often contain information that makes it easier for the Player to obtain the track titles and other media information from the database hosted by your default online store. If the information in the database is incorrect or is missing, you can also add or edit the information about a CD in the database.

You can also manually edit the media information in Now Playing, Library, and Rip.

This section covers:

  • To view information about a CD
  • To add or change CD information
  • To change information for several tracks simultaneously
  • To update information about a CD in the WindowsMedia.com database

Related topics

  • Using CDs
  • Viewing information about files and content
  • Enhanced Playback and Device Experience


To view information about a CD

  • To view information for a CD that you have not ripped to your library, insert the CD into the CD drive, click Rip, and then click View Album Info.
  • To view information for a CD that you have ripped to your library, click Library, click the album name in the Contents pane, and then click More Info.

Note Image Notes

  • You can view album information and the list of tracks simultaneously by pointing to the top border of the Album Information pane. When the pointer changes into a vertical double-headed arrow, drag the border.
  • To hide the Album Information pane, click View Album Info or More Info again.
  • The first time you want to view information about a CD, you must be connected to the Internet. A subset of the information is stored on your computer and is available anytime you insert the CD.

Related topics

  • Viewing information about a CD
  • To view information about content


To add or change CD information

  1. Click Rip.
  2. Right-click the track for which you want to add or change media information, and then click Edit.
  3. Type the new information, and then press ENTER.

Related topics

  • Viewing information about a CD


To change information for several tracks simultaneously

  1. Click Rip.
  2. Select the tracks that you want to edit.
  3. Right-click in the column that you want to change, and then click Edit.
  4. Type the new information, and then press ENTER.

Note Image Note

  • To select adjacent tracks, press and hold the SHIFT key while selecting. To select nonadjacent tracks, press and hold the CTRL key while selecting.

Related topics

  • Viewing information about a CD


To update information about a CD in the WindowsMedia.com database

  1. Click Rip, and then click the Find Album Info button.
  2. Follow the instructions in the Album Information pane.

Note Image Note

  • It may take some time for your changes to appear in the WindowsMedia.com database on the Internet.

Related topics

  • Viewing information about a CD


Creating your own CDs

With Windows Media Player, you can burn your own audio CDs or data CDs (also known as media CDs) from the tracks stored in the Library feature. Live streams, such as radio stations, cannot be burned to CDs.

You can use the Player to create the following types of CDs:

  • Audio CD. Create music CDs similar to those that you buy. The Player converts tracks into .cda files to copy them to the compact disc. Audio CDs can play in most computers and in home and car CD players that play CD-R and CD-RW discs.
  • Data CD. Create CDs that contain playlists and files that are not converted and that are in the order they are displayed in the Items to Copy pane (the left side of Burn). Depending on the bit rate used to copy the files and the file types, a data CD may contain more than eight hours of music. Only certain CD players and computers can play data CDs.
  • HighMAT HighMAT logo . Create another type of data CD that plays only in CD players that can play Windows Media Audio (WMA) files. Files are converted into WMA files, which are smaller than .mp3 files. Only certain portable CD players can play Windows Media Audio files. For more information about HighMAT, see the Microsoft Web site.

To create a CD, you must have a CD burner attached to your computer and a blank CD to which you can copy tracks.

File types that can be copied to CD

You can copy the following file types from the Player to a recordable CD:

  • Windows Media Audio (WMA) files with a .wma extension
  • .mp3 files
  • .wav files

Audio quality and compression

The compression quality that you use to rip CD tracks to your computer affects the sound quality of the track, but does not affect the length of the track when burning from your computer to a CD. The better the sound quality that you use to rip a track to your computer, the better the sound quality will be when you burn it from your computer to a CD. If you use the best quality sound to rip a track to your computer, the track uses more disk space on your computer. Other variables such as the speed of your CD drive can also affect the quality of the copy.

This section covers:

  • To burn (create) your own CD
  • To erase a CD-RW

Related topics

  • Using CDs
  • Setting device options


To burn (create) your own CD

  1. On the File menu, point to CDs and Devices, and then click Burn Audio CD.

    The Burn feature is displayed.

  2. In the Items to Copy pane (the left side of Burn), select the playlist or category of tracks that you want to copy from your library.
  3. To create or change a playlist of items to copy to the device, click the Edit Playlist button Playlists button.

    The number of selected items and total time is displayed at the bottom of the Items to Copy pane.

  4. If necessary, clear any check boxes for tracks you do not want to copy.
  5. Insert a blank CD-R or CD-RW in your CD drive.
  6. If necessary when using a CD-RW disc, click the Erase disk button to erase the CD.
  7. If you want to change recording or data CD settings, click the Properties button Devices Properties button.
  8. In the Items on Device pane (the right side of Burn), click one of the following:
    • Audio CD
    • Data CD
    • HighMAT
  9. Click Start Burn.

Note Image Notes

Before tracks are burned to your CD, they are inspected and, in some cases, converted to a file type. This process takes several minutes.

  • Playback may be affected if you try to play an audio CD while also burning a CD. It is recommended that you do not try to perform any other actions while burning a CD.
  • You cannot copy additional tracks to the CD after copying is completed. If you are using a CD-RW, you can erase the entire CD before using the Player to copy tracks to the CD again.
  • Tracks must be in the Library feature before you can burn them to a CD. Click the check box Check mark icon at the top of the list to clear or select all the items in the Items to Copy pane (the left side of Burn). By default, all the tracks in the pane are selected.
  • You can rearrange the tracks in the Items to Copy pane by dragging them to the position that represents the order in which you want them to be copied.
  • If Will not fit appears in the Status column in the Items to Copy pane for selected tracks, none of the tracks are not copied to the CD. Will not fit appears in the Status column for audio CDs even if the audio you selected exactly matches the CD length, because the Player inserts two seconds between the tracks that it copies onto a CD.
  • The Player automatically converts a multichannel audio file to a stereo file (a process known as folding down) when you copy it to a CD.

Related topics

  • Creating your own CDs


To erase a CD-RW

  1. Click Burn.
  2. Click the Erase disc button Erase disc button near the Items on Device pane (the right side of Burn).
  3. When prompted, click Yes.

Note Image Note

  • The Erase disc button is not available for CD-RW discs if the CD contains files, such as .doc files, that the Player does not play.

Related topics

  • Creating your own CDs


Using DVDs

Like a conventional DVD player, you can use Windows Media Player to watch DVDs on your computer, skip to specific titles and chapters, play sequences in slow motion, gain access to special features, and switch audio and caption languages. In addition to these conventional DVD player tasks, you can also retrieve information about each disc from the Internet.

This section covers:

  • Playing a DVD
  • Viewing information about a DVD

Note Image Note

  • To play DVDs, you must have a DVD drive, and a software or hardware DVD decoder installed on your computer. If you do not have a compatible DVD decoder installed, DVD-related commands, options, and controls do not appear in the Player and you cannot play DVDs. By default, Windows does not include a DVD decoder. For more information about DVD decoders, see the DVD Support Web page.

Related topics

  • Using CDs, DVDs, and VCDs


Playing a DVD

When you insert a DVD in your DVD drive, Windows Media Player begins playing it automatically, unless the Player is already in use.

This section covers:

  • To play a DVD
  • To play special features on a DVD
  • To change camera angles
  • To change the DVD menu language for a disc
  • To capture a DVD image

Note Image Note

  • To play DVDs, you must have a DVD drive, and a software or hardware DVD decoder installed on your computer. If you do not have a compatible DVD decoder installed, DVD-related commands, options, and controls do not appear in the Player and you cannot play DVDs. By default, Windows does not include a DVD decoder. For more information about DVD decoders, see the DVD Support Web page.

Related topics

  • Using DVDs
  • Setting DVD playback options
  • Setting file type options
  • Playing files


To play a DVD

  1. On the Play menu, point to DVD, VCD or CD Audio, and then click the drive that contains the DVD.
  2. In the Playlist pane, click a DVD title, or chapter name, if appropriate.

Note Image Notes

  • To eject a disc, on the Play menu, click Eject. If you have discs in multiple drives, point to Eject, and then click the name of the disc that you want to eject.
  • To play a selected title in a DVD repeatedly, on the Play menu, click Repeat. A check mark appears next to the command to indicate that it is turned on.

Related topics

  • Playing a DVD


To play special features on a DVD

  1. Play a DVD.
  2. On the View menu, point to DVD Features, and then click Root Menu.

    The root menu of the DVD appears in the Video and Visualization pane.

  3. In the Video and Visualization pane, click the links to the special features, if applicable.
  4. On the View menu, point to DVD Features, and then click Close Menu (resume).

    Not all DVDs support this function.

Note Image Notes

  • This procedure may vary depending on how the DVD you are playing was authored. For example, on the View menu, you may need to point to DVD Features, and then click Title Menu instead of Root Menu.
  • Not all DVDs contain special features. The company that produced the DVD determines the information and links that appear on its root and title menus.

Related topics

  • Playing a DVD


To change camera angles

  • On the View menu, point to DVD Features, point to Camera Angle, and then click the camera angle that you want to view.

Note Image Note

  • Not all DVDs support this option.

Related topics

  • Playing a DVD


To change the DVD menu language for a disc

  1. On the View menu, point to DVD Features, and then click Root Menu.
  2. Refer to the DVD on-screen menu for further instructions, if available.

Note Image Note

  • To change the DVD menu language used when playing all DVDs, see Setting DVD playback options.

Related topics

  • Playing a DVD
  • Setting DVD playback options


To capture a DVD image

  • On the View menu, point to DVD Features, and then click Capture Image.

Note Image Notes

  • This feature is only available if video mixing rendering is turned on in the Player and the DVD decoder and display hardware support video mixing rendering. To turn on video mixing rendering, on the Tools menu, click Options, and then click the Performance tab. Click Advanced, and then, in the DVD Video area, select the Use video mixing renderer check box. Some display hardware only supports video mixing rendering if the screen resolution is set to 800 x 600 pixels and the color quality is set to 16-bit. For more information about changing screen resolution and color quality, see Windows Help.

Related topics

  • Playing a DVD


Viewing information about a DVD

Windows Media Player can detect the DVD that you are playing and display information about it, such as the DVD name, the director, and the names of the titles and chapters.

This section covers:

  • To view information about a DVD
  • To show DVD title and chapter names
  • To rename DVD titles and chapters
  • To update information about a DVD

Related topics

  • Using DVDs


To view information about a DVD

  • On the View menu, point to Now Playing Options, and then click Show Media Information.

    Information about the selected disc appears in the Media Information pane.

Note Image Note

  • You must be connected to the Internet to retrieve information about DVDs.

Related topics

  • Viewing information about a DVD


To show DVD title and chapter names

  • If the DVD title and chapter names are hidden, on the View menu, point to Now Playing Options, and then click Show Playlist.

    The names of the DVD titles and chapters appear in the Playlist pane.

Related topics

  • Viewing information about a DVD


To rename DVD titles and chapters

  1. If the DVD title and chapter names are hidden, on the View menu, point to Now Playing Options, and then click Show Playlist.

    The names of the DVD titles and chapters appear in the Playlist pane.

  2. In the Playlist pane, right-click a title or chapter name, and then click Edit.
  3. Type a new name, and then press ENTER.

Note Image Note

  • The new name appears in the playlist every time you play the DVD on your computer. Because the new name is stored on your computer and not on the DVD, the new name does not appear when the disc is played on other computers.

Related topics

  • Viewing information about a DVD


To update information about a DVD

  • On the View menu, point to DVD Features, and then click Update DVD Information.

    The Player retrieves any new information about the DVD from the WindowsMedia.com Web site.

Caution Image Caution

  • This command overwrites any changes that you have made to the selected disc's title or chapter names.

Note Image Note

  • You must be connected to the Internet to retrieve information about DVDs.

Related topics

  • Viewing information about a DVD


Using VCDs

You can use Windows Media Player to watch video CDs (VCDs) on your computer. Video CDs are similar to DVDs, although the video fidelity is not as high.

This section covers:

  • Playing a VCD

Related topics

  • Using CDs, DVDs, and VCDs


Playing a VCD

When you insert a VCD into your CD drive, Windows Media Player begins playing automatically, unless the Player is already in use.

This section covers:

  • To play a VCD

Related topics

  • Using VCDs
  • Playing files


To play a VCD

  1. On the Play menu, point to DVD, VCD or CD Audio, and then click the drive that contains the VCD.
  2. In the Playlist pane, double-click a VCD segment, if appropriate.

Related topics

  • Playing a VCD


Organizing your files

You can use Windows Media Player to organize digital media files on your computer or network and to organize links to digital media content on the Internet in the following ways:

  • Add links to digital media files (including tracks ripped from CDs) on your computer, network, or Web sites.
  • Create a playlist or auto playlist with the various digital media files on your computer, your network, or the Internet.

The links, playlists, and auto playlists are stored in the Library feature, which you can use to store and display all of the digital media content available from your computer.

Files displayed in your library are automatically grouped into the following categories: All Music, All TV, All Video, Other Media, My Playlists, Auto Playlists, and Now Playing. Each category, with the exception of Other Media and Now Playing, contains subcategories.

After you add digital media files to your library, you can organize them into playlists or copy them to CDs or portable devices.

This section covers:

  • Adding items to your library
  • Sorting and finding items in your library
  • Editing media information
  • Working with playlists
  • Deleting files from your library
  • Backing up and restoring licenses

Related topics

  • Using the Player
  • Setting general Player options


Adding items to your library

Before you can begin creating playlists or auto playlists, burning CDs, or synchronizing files with portable devices, you must add links to the files in the Library feature. You can add links to music, video, and other digital media content in your library by doing any of the following:

  • Searching your computer for digital media files
  • Copying tracks from CDs
  • Adding individual files from playlists or folders
  • Adding files that are in folders you have set the Player to monitor
  • Playing files on your computer, the Internet, or removable media
  • Dragging or copying files from My Computer
  • Purchasing music on the Internet

Adding files to your library by searching your computer or network is the most convenient way to initially populate your library if you already have digital media content. Copying your CDs to your computer and adding content from the Web are also good ways to add content.

Note Image Note

  • Depending on the service, music you purchase from online stores may also be added to your library.

This section covers:

  • To add items to your library

Related topics

  • Organizing your files
  • Setting general Player options
  • Setting Library options


To add items to your library

To | Do this
Add links to audio and video files on your computer or network
  1. On the File menu, point to Add to Library, and then click By Searching Computer.
  2. Complete the information in the Add To Library by Searching Computer dialog box, and then click Search.
Add tracks from a CD | Insert a CD into the CD drive, click Rip, and then click Rip Music.
Add an individual file, playlist, or folder On the File menu, point to Add to Library, and then click one of the following commands:
  • Add Folder. Find the folder that you want to add.
  • Add File or Playlist. Find the file or playlist that you want to add.
  • Add URL. Enter the URL to the file, including the file name.
Add a file or playlist while it is playing On the File menu, point to Add to Library, and then click one of the following commands:
  • Add Currently Playing Item
  • Add Currently Playing Playlist
Automatically add digital media files from folders that you want the Player to monitor
  1. On the File menu, point to Add to Library, and then click By Monitoring Folders.

    The monitoring folder feature is only available on drives formatted with NTFS.

  2. In the Monitor Folders dialog box, click Add to select the folders that you want the Player to monitor.

Note Image Notes

  • If you share your computer with another person, the other person's digital media files may be added to your library and vice versa when you add files by searching the computer. You may not be able to play the other person's files, depending on the permissions set on the folder that contains the files.
  • The advanced search options that you specify in the Add To Library By Searching Computer dialog box apply to the contents of any folders that you add to your library and any folders that are being monitored for digital media content.

Related topics

  • Adding items to your library
  • Setting general Player options


Sorting and finding items in your library

Links to content in your library are automatically grouped into categories such as All Music, All TV, and All Video. The content is further grouped and displayed in subcategories based on the media information about the content. Even if the media information is unknown, the content is added to the appropriate category based on the file type and file name extension for the file. For example, a file with a .wma extension is a Windows Media Audio file and is displayed in the All Music category. A file with a .dvr-ms extension is a Microsoft Recorded TV Show and is displayed in the All TV category.

By default, in both the Contents pane (the left side of Library) and the Details pane (the right side of Library), content is displayed in alphabetical order, with "Unknown" characters (such as an ellipsis) and numeral content names preceding letters. Content is generally sorted in ascending order.

If you have an extensive audio, video, or picture collection available in your library, finding items may prove more difficult when you are scrolling through the categories. You may want to sort the content in a different way, display more or fewer columns, or search for content. You can sort, find, and organize your content in the following ways:

  • Click a column heading to sort the content in ascending or descending order for that column heading.
  • Choose which columns you want to display (not applicable to the Title column).
  • Select a particular artist or album and then find other items by that artist.
  • Use the Search button to find items containing a specific word or phrase.
  • Create an auto playlist that automatically finds items matching the criteria that you specify.

Note Image Notes

  • You can change the columns that are displayed for the All Music, All TV, All Video, Other Media, and Now Playing categories only.
  • Different columns are displayed by default in the Details pane, depending on the category that you are viewing. For example, the columns that are displayed in the Details pane for the All Music category are different from the columns that are displayed in the Details pane for the All Video category.
  • By default, the media information for CDs and DVDs is obtained from an Internet database operated by your default online store. You can add or edit the media information for any content.
  • Links to DVDs are not stored in your library, because most DVDs cannot be copied.

This section covers:

  • To sort items using a different column heading in your library
  • To choose which columns are displayed in your library
  • To find other items with the same artist or album in your library
  • To search for items in your library

Related topics

  • Organizing your files
  • Setting general Player options


To sort items using a different column heading in your library

  1. Click Library.
  2. In the Contents pane, click the category that you want to sort by.
  3. In the Details pane, do one of the following:
    • To sort items in ascending order, click the heading of the column that you want the items sorted by.
    • To sort the items in descending order, click the heading of the column that you want the items sorted by again.

Note Image Note

  • Unless the Shuffle command is selected, items play as they are displayed in the Details pane. You can move items up or down in the pane by right-clicking the item and then clicking Move Up or Move Down.

Related topics

  • Sorting and finding items in your library
  • To play files in a random order


To choose which columns are displayed in your library

  1. In the Contents pane, click the category for which you want to display information.
  2. On the View menu, click Choose Columns.
  3. To display or hide columns, select or clear the check box next to the column heading name to show or hide the column.
  4. To change the position of a column, select a column name, and then click Move Up or Move Down.

Note Image Note

  • As applicable, the Title column is always displayed.

Related topics

  • Sorting and finding items in your library


To find other items with the same artist or album in your library

  1. Click Library.
  2. In the Contents pane, click All Music.
  3. In the Details pane, find a track by the artist or on the album that you are looking for.
  4. Right-click the item and then click Jump to Artist or Jump to Album as appropriate.

Note Image Note

  • You can also expand the Album Artist or Album categories, and then scroll through the list to find the item that you are looking for.

Related topics

  • Sorting and finding items in your library


To search for items in your library

  1. Click Library.
  2. Type the text that you want to search by in the box next to the Search button.
  3. Click the Search button.

    The search results are displayed in the Details pane.

  4. Do one of the following.
    To Do this
    Play the items that were found

            In the Contents Pane, right-click Search Results, and then click Play.

    Add the items that were found to the Now Playing list

            In the Contents Pane, right-click Search Results, and then click Add to Now Playing List.

    Burn the items that were found to CD

            In the Contents Pane, right-click Search Results, and then click Add to Burn List.

    Synchronize the items that were found with your portable device

            In the Contents Pane, right-click Search Results, and then click Add to Sync List.

    Save the items that were found to a new playlist

            In the Contents Pane, right-click Search Results, and then click Save as New Playlist.

    View the search results again

            In the Contents Pane, click Search Results.

Note Image Note

  • You can type partial information in the Search box, but wildcard characters, such as asterisks (*) or question marks (?) cannot be used.

Related topics

  • Sorting and finding items in your library


Editing media information

Media information is any kind of information about digital media content, such as the artist, lyrics, band, group, album, genre, producer, and so forth.

For CDs and DVDs in your library, the Player tries to obtain the media information automatically from a database on the Internet. For other kinds of music files that are displayed in your library, the Player can try to obtain media information from a database on the Internet if the media information is partially filled in and if the check box specifying this option is selected.

If media information is not found for an item, or if the correct information is not found, you can manually enter the information for it. You can edit most of the media information for any digital media content that is displayed in Windows Media Player.

You can edit media information for an item in several places in the Player:

  • In the Library feature
  • In the Rip feature
  • In the Burn feature
  • In the Playlist pane of the Now Playing feature
  • In Advanced Tag Editor

The information that is displayed when you click More Info cannot be edited.

Note Image Notes

  • If you are sharing a computer, the media information that you edit in your library does not appear in the library of other users, because each user's library is stored in different locations on the computer.
  • To automatically obtain media information, your computer must be connected to the Internet and you must configure the Player to obtain the media information automatically.
  • If the library database becomes corrupted, your files and most of the media information should remain intact. Rating and play count information may be lost, because it is not stored in the files. You can restore the contents of your library by searching for media files on your computer.

This section covers:

  • To edit media information
  • To update information about an album
  • To change the rating for an item

Related topics

  • Organizing your files
  • Advanced Tag Editor
  • Setting Library options
  • Setting privacy options


To edit media information

  1. Click Library, and then find the item that you want to edit.
  2. Right-click the item, and then click Edit.
  3. Edit the information that you want, and then press ENTER to add your changes.

Note Image Notes

  • You can use the TAB key to move from column to column.
  • If you edit the genre for the only item in a particular genre, the genre is also renamed. If you edit the genre information for one of many items in a particular genre, a new genre is added.
  • You can edit the information for several items at once. To select adjacent items, press and hold the SHIFT key while selecting. To select nonadjacent items, press and hold the CTRL key while selecting. Right-click the selected items, and then click Edit.
  • The Player includes Advanced Tag Editor, which you can use to edit the media information for a single item or several items at once. Advanced Tag Editor includes spaces for all kinds of media information that is not displayed in your library.
  • After media information is edited or updated, items may be automatically renamed and rearranged in your library and in the folder to which your music files are copied if the option to rename and rearrange music using media information is selected. By default, music files are copied to your My Music folder.

Related topics

  • Editing media information
  • Advanced Tag Editor
  • Setting Library options


To update information about an album

  1. Click Library, and then in the Contents pane, expand the All Music and Album categories.
  2. Right-click the album, and then click Update Album Info.

    The Player accesses the database hosted by your default online store and retrieves any new information about the album.

Caution Image Caution

  • This command overwrites any changes you may have manually made to the information for the selected album.

Note Image Notes

  • When you click Update Album Info, the information is updated instantaneously.
  • You must be connected to the Internet to use Update Album Info.
  • You can only update album information for albums displayed in your library.
  • After media information is edited or updated, items may be automatically renamed and rearranged in your library and in the folder to which your music files are copied if the option to rename and rearrange music using media information is selected. By default, music files are copied to your My Music folder.

Related topics

  • Editing media information
  • Setting Library options

Related topics

  • Editing media information


To change the rating for an item

  1. Click Library.
  2. Right-click the item that you want to rate, point to Rate, and then click one of the ratings, or click Unrated.

    1 Star is the lowest rating. 5 Stars is the highest rating.

Note Image Notes

  • By default, all items in your library are automatically given a rating of three stars. These auto ratings change based on the number of times the item is played. The three-star auto rating is also used when you click Unrated.
  • When you rate an item, that rating replaces the auto rating in the Rating column in your library. Your rating is displayed as My Rating in the criteria for auto playlists. You can use both the Auto Rating and the My Rating criteria to create auto playlists.
  • A row of filled stars indicates a rating that you selected; a row of empty stars indicates an auto rating.
  • If the library database becomes corrupted, your files and most of the media information should remain intact. Rating and play count information may be lost because it is not stored in the files. You can restore the contents of your library by searching for media files on your computer.

Related topics

  • Editing media information


Working with playlists

A playlist is a customized list of digital media files that you want to listen to or watch.

An auto playlist is a playlist to which the Player automatically adds items based on criteria that you specify. Auto playlists are updated each time that you open them. By default, the Library feature contains several auto playlists.

By using playlists and auto playlists, you can group files together and specify the order that you want the files to play in. For example, you can create a playlist that includes several tracks from various CDs and a video clip. You can also use playlists and auto playlists to synchronize files with portable devices or to burn your own CDs.

This section covers:

  • To create a playlist
  • To create an auto playlist
  • To add items to a playlist
  • To temporarily add items to a playlist
  • To save a temporary playlist with a different name
  • To play a playlist
  • To edit a playlist
  • To edit an auto playlist
  • To rename a playlist
  • To delete a playlist

Related topics

  • Organizing your files


To create a playlist

  1. On the File menu, click New Playlist.
  2. In the New Playlist dialog box, in the View library by list, click the category that you want to use.
  3. Double-click an item in the list to expand it and to locate the individual file that you want to add.
  4. Click the individual file to add it to the playlist.
  5. In the Playlist name box, type the name of the playlist.

    Your new playlist is added to the My Playlists category in the Contents pane.

Note Image Note

  • By default, playlists are stored in the My Playlists folder, which is usually located in the My Music folder.

Related topics

  • Working with playlists


To create an auto playlist

  1. Click Library.
  2. Click the New button, and then click Auto Playlist.
  3. Enter information for the following options in the New Auto Playlist dialog box.
    Option | Description
    Auto Playlist name | Displays the name of the auto playlist.
    Criteria selection box | Click options in the box to add the criteria for the auto playlist. To remove an item from the auto playlist criteria, click the item and then click Remove.

    Auto playlists are updated every time you open them.

Note Image Notes

  • You can save an auto playlist as a regular playlist by right-clicking the auto playlist, and then clicking Save as New Playlist. After an auto playlist is saved as a regular playlist, the contents of the playlist are no longer updated automatically.
  • Some of the default auto playlists are generated based on an auto rating, usually of three or four stars.

Related topics

  • Working with playlists


To add items to a playlist

  1. Click Library, and then find the item that you want to add to a playlist.
  2. Right-click the item, point to Add to, and then click Additional Playlists.
  3. In the Add to Playlist dialog box, click the playlist that you want to add the item to.

Note Image Notes

  • You can add items from My Computer or the desktop to a playlist in your library by dragging and dropping them on a playlist in the Contents pane. You can add items to a playlist in Now Playing the same way; however, these items are only added temporarily.
  • You can only add items that are displayed in your library to a playlist. For example, the Now Playing category in the Contents pane sometimes shows items that are not in your library, such as a CD playing in your CD drive.
  • You can add multiple items to a playlist at once. To select adjacent items, press and hold the SHIFT key while selecting. To select nonadjacent items, press and hold the CTRL key while selecting. Right-click the selected items, point to Add to, and then click Additional Playlists.
  • To add items to a new playlist, click New in the Add to Playlist dialog box, and then type the name for the new playlist.

Related topics

  • Working with playlists


To temporarily add items to a playlist

  1. While playing a playlist, click Library, and then find an item that you want to temporarily add to the playlist.
  2. Right-click the item, point to Add to, and then click the name of the playlist that is playing.

    The item is added to the end of the playlist and remains in the playlist until you play another item or playlist.

Note Image Notes

  • You can temporarily add whole albums, artist lists, and even other playlists to a playlist.
  • The playlist to which you add items becomes a temporary playlist until you save it. To view the temporary playlist, click the Now Playing category in the Contents pane. New items are added to the end of the playlist.
  • You can temporarily add items from My Computer or the desktop to a playlist in Now Playing by dragging and dropping them on a playlist in the Playlist pane.

Related topics

  • Working with playlists


To save a temporary playlist with a different name

  1. On the File menu, click Save Playlist As.
  2. Type the new name for the playlist, and then click Save.

Note Image Notes

  • If you have created a temporary playlist from an existing playlist, you can overwrite the existing playlist with the temporary playlist by clicking Save Playlist on the File menu.
  • By default, playlists are saved with a .wpl extension. You can also save playlists with the following extensions: .m3u, .asx, .wax, or .wvx.

Related topics

  • Working with playlists


To play a playlist

  • Click Library, expand My Playlists or Auto Playlists, click a playlist, and then click Play.

Note Image Note

  • To play a playlist repeatedly, on the Play menu, click Repeat. A check mark appears next to the command to indicate that it is turned on.

Related topics

  • Working with playlists


To edit a playlist

  1. Click Library.
  2. In the Contents pane, expand My Playlists, and then click the playlist that you want to change.
  3. On the File menu, click Edit Current Playlist.
  4. In the Edit Playlist dialog box, do any of the following:
    • Add items to the playlist:
      1. In the View library by list, click the category that you want to use to sort the contents of your library.
      2. Click an item in the list to expand it and to locate the individual file that you want to add.
      3. Click the individual file to add it to the playlist.
    • Delete items from the playlist:
      • Click the items that you want to delete in the Playlist name box, and then click the Delete button Delete button.
    • Rearrange items in the playlist:
      • Click the item that you want to move in the Playlist name box, and then click the Move Up or Move Down button.

Related topics

  • Working with playlists


To edit an auto playlist

  1. Click Library.
  2. In the Contents pane, expand Auto Playlists, and then click the auto playlist that you want to change.
  3. On the File menu, click Edit Current Playlist.
  4. Change any of the following options in the Edit Auto Playlist dialog box.
    Option | Description
    Auto Playlist name | Displays the name of the auto playlist.
    Criteria selection box | Click options in the box to change the criteria for the auto playlist.
    Remove | Click to remove the selected item from the auto playlist criteria.

Note Image Notes

  • When you edit the criteria for an auto playlist, the content of the auto playlist may change.
  • Some of the default auto playlists are generated based on an auto rating, usually of three or four stars.

Related topics

  • Working with playlists


To rename a playlist

  1. Click Library.
  2. In the Contents pane, expand My Playlists, right-click the playlist that you want to rename, and then click Rename.
  3. Type the new name of the playlist.

Related topics

  • Working with playlists


To delete a playlist

  1. Click Library.
  2. In the Contents pane, expand My Playlists, right-click the playlist that you want to delete, and then click Delete.
  3. If prompted, choose one of the following options:
    • Delete from library only
    • Delete from library and my computer

Related topics

  • Working with playlists


Deleting files from your library

You can delete playlists or individual files from the Library feature. Files that you delete from your library are not deleted from your computer unless you choose to permanently delete them from your computer.

This section covers:

  • To delete a file from your library
  • To remove duplicate items from your library

Related topics

  • Organizing your files
  • Setting Library options


To delete a file from your library

  1. Click Library.
  2. Right-click the file that you want to delete, and then click Delete.
  3. If prompted, choose one of the following options:
    • Delete from library only
    • Delete from library and my computer

Note Image Note

  • You can delete several files at once. To select adjacent items, press and hold the SHIFT key while selecting. To select nonadjacent items, press and hold the CTRL key while selecting. Right-click the selected items, and then click Delete.

Related topics

  • Deleting files from your library


To remove duplicate items from your library

  1. On the File menu, point to Add to Library, and then click By Searching Computer.
  2. In the Search on list, click the folder or drive where the items were stored, and then click Search.

    Any items that are no longer in the folder or on the drive are removed from your library.

Related topics

  • Deleting files from your library


Backing up and restoring licenses

If you plan to reinstall or upgrade the operating system and if you retain your protected files, you should back up your licenses before reinstalling or upgrading. You should also periodically back up your licenses to a floppy disk in case they become lost or corrupted. By default, the Player prompts you to back up your licenses approximately two weeks after you acquire a new one.

This section covers:

  • To back up your licenses
  • To restore your licenses

Related topics

  • Organizing your files
  • Setting general Player options
  • Setting privacy options


To back up your licenses

  1. On the Tools menu, click Manage Licenses.
  2. To change the backup location, click Change, and then select a location that you want to store backup copies of your licenses to.
  3. In the Manage Licenses dialog box, click Back Up Now.

Note Image Note

  • We recommend that you periodically back up your licenses to a floppy disk. If you reinstall or upgrade the operating system, your licenses may be lost even if you retained the protected files. You can also use backup disks to transfer licenses from an old computer to a new one, or to transfer licenses from a work computer to a home computer.

Related topics

  • Backing up and restoring licenses


To restore your licenses

  1. On the Tools menu, click Manage Licenses.
  2. Select the location of the backup copies of your licenses. If required, insert the floppy disk on which your licenses are stored.
  3. In the Manage Licenses dialog box, click Restore Now.
  4. Follow the instructions on your screen.

Note Image Note

  • An Internet connection is required to restore your licenses. You can only restore your licenses a limited number of times.

Related topics

  • Backing up and restoring licenses


Synchronizing content with devices

If you want to take your music or other digital media with you, you can easily synchronize items in your library with your portable device. You can use the Sync feature in Windows Media Player to synchronize files in categories and playlists in your library with your portable device, Portable Media Center, or storage card.

To enable synchronization between the Player and your device, a special relationship must be established between the Player and the device. This relationship is called a partnership. When you establish a partnership, you can specify that synchronization of the content you select will occur automatically every time you connect the device to your computer. Or you can specify that you will synchronize content manually after you select it.

You can change the synchronization settings for a partnership at any time.

This section covers:

  • The synchronization partnership
  • The synchronization process
  • Information that is exchanged or stored during synchronization
  • Prioritizing content for automatic synchronization
  • Synchronizing media items with your device
  • Additional options that affect synchronization
  • Formatting devices
  • Installing device drivers

Note Image Notes

  • Windows Media Player supports portable devices that have Universal Serial Bus (USB) 1.1, USB 2.0, and Institute of Electrical and Electronics Engineers (IEEE) 1394 (such as Apple FireWire or Sony i.LINK) interfaces. A USB 2.0 interface is recommended for best performance.
  • To find portable devices that are compatible with the Player, see the Microsoft Web site.

Related topics

  • Using the Player


The synchronization partnership

In a partnership, content can be synchronized automatically or manually between one user's library on one computer with one device. Windows Media Player can support up to 16 synchronization partnerships, which means that you can synchronize content in your library with up to 16 different devices that you connect to your computer.

When you connect your device to your computer for the first time, Windows Media Player starts the Device Setup Wizard, which helps you create a partnership between the Player and your device. When you establish the partnership, you must specify whether content in your library will be synchronized with your device automatically or manually. Afterward, every time you connect your device to your computer, the Player and the device begin synchronizing the content you selected (if you specified automatic synchronization), or synchronization will not start until you select the content and specify the order in which it is synchronized (if you specified manual synchronization).

If you connect a device that already has a partnership with a user's library to a different user's library or a library on another computer, the Device Setup Wizard offers to use the device with that library just for the current session, or to switch the device’s partnership to the new library permanently. If you don't switch the partnership to the new library, certain features are disabled, such as synchronizing updated ratings and play counts between the device and the computer. Also, the content that was synchronized with the device during the current session cannot be managed by the Player that has a partnership with the device. If you need to delete this content to free space on the device, you must do so manually.

Note Image Note

  • If you set up automatic synchronization with a user's library on another computer and your device, any synchronized content from the previous partnership remains on the device and can still be played. However, this content reduces the amount of space available for storing synchronized content under the new partnership. To delete content left on a device from a previous partnership, click the device in the Items on Device Pane (the right side of Sync), select the content on the device, and then click the Delete button.

Caution Image Caution

  • If you delete a synchronized file, playlist, or category from your library, this information is communicated between the Player and the device during synchronization, and the corresponding file, playlist, or category is deleted from your device to maintain the synchronization partnership. For example, if you delete a playlist from your library that is part of a synchronization partnership, the corresponding playlist on your device is also deleted from your device the next time that you connect it to your computer. Therefore, we highly recommend that you do not use your device as a form of backup storage for your library.

Related topics

  • Synchronizing content with devices


Information that is exchanged or stored during synchronization

During synchronization, Windows Media Player copies the content in the categories and playlists that you selected to your device. In addition, The Player and your device exchange some or all of the following information in order to complete the synchronization process:

  • Device information. Because the Player can keep track of up to 16 devices on one computer, it stores information about all devices that it has synchronization partnerships with. It also stores information about the content in your library that has been synchronized with each device. If you create a partnership that requires the Player and a device to automatically synchronize content when you connect your device to your computer, the Player can quickly determine the connected device and the content in your library that must be synchronized, greatly improving performance.

    For some devices, the Player also places a file named WMPInfo.xml on the device to track the partnership. Deleting the file, if it exists, will cause the Player to lose its partnership information with the device. Some devices do not require this file to be created.

  • Device capabilities. When you connect your device to your computer, the Player inspects the device to determine its playback and storage capabilities. For example, the Player determines if the device can play audio and/or video files and the associated file formats, codecs, and bit rates that the device supports. The Player skips synchronizing certain files in the selected categories and playlists if it determines that the device cannot play the files.

    The Player also determines the amount of space on the device that is available for storing synchronized files and whether the device can support storage of files in folders.

    For some devices, the Player can only determine the available disk space and cannot determine other device capabilities. If this occurs, the Player only synchronizes music files with the device. To synchronize other file types with the device, you will need to update settings for the partnership.

  • Media information. The Player can synchronize media information for music files, such as album information and album art, if the device can display the information. If album art contains a link to purchase the album online, and your device allows you to click the link, the device communicates this information to the Player. The Player assumes the task of displaying the Buy CD link for the album in the Sync feature so that you can complete the transaction you started by clicking the link on your device.
  • Licenses. A content provider may specify certain rights in the license for a protected file, such as the number of times you can play the file or an expiration date. To maintain these rights, the license associated with a protected file is synchronized along with the file.
  • Play count. The Player and your device may exchange information about the number of times a synchronized file was played, both in the Player and on the device. The new total play count is updated in your library and on your device during synchronization. The auto playlists you created in your library that have criteria based upon play count can then be updated appropriately. Your auto-ratings, which change based upon the number of times an item is played, can also be updated appropriately.
  • Time. The Player and your device may exchange information about the last time a synchronized file was played, both in the Player and on the device. The new time is updated in your library and on your device during synchronization. The auto playlists you created in your library that have criteria based upon the time when files are played can then be updated appropriately.
  • Ratings. Ratings information for synchronized files can be updated in your library if you changed the rating for the file on the device. Your device must support the ability to change file ratings. The auto playlists you created in your library that have criteria based upon ratings that you assign to files can then be updated appropriately.

Note Image Notes

  • A content provider may set an expiration date for a licensed file. If your device doesn't have the hardware required to monitor expiration, The Player may not be able to synchronize these files with your device.
  • A content provider may require that your device have a hardware serial number in order to play a licensed file. The Player may not be able to synchronize files from the content provider if, or you may not be able to play synchronized files on the device if it doesn't have a hardware serial number.

Related topics

  • Synchronizing content with devices


The synchronization process

After you set up automatic or manual synchronization between Windows Media Player and your device, or when you connect a device that has a partnership with the library on your computer, synchronization either begins immediately or you must start synchronization manually in the Items to Copy pane (the left side of Sync) in the Player. The Player begins synchronizing only the selected content that can be played or viewed on your device. If you selected playlists for synchronization that can't be played or viewed on your device, the Player skips these files during synchronization and displays an error in the Items to Copy pane.

The Items to Copy pane shows the selected items that are being synchronized and the following information in the Status column:

  • Ready to Synchronize. The Player verified that there is enough storage space on the portable device for the files in the selected categories and playlists to be synchronized.
  • Opening or Inspecting (includes the percentage completed). The Player inspects the selected files for errors.
  • Converting/Converted (includes the percentage of conversion done). Each file is converted to the selected quality level or compression rate and stored in a temporary location on your computer. When synchronizing files, files are only converted if necessary (for example, if a specific bit rate is selected or if the device does not support the bit rate of the encoded file or the picture size).

    In some cases, a file may also be converted to a different file format so that you can play the file on your device. For example, if you try to synchronize a Microsoft Recorded TV Show file (a file with a .dvr-ms file extension), but your device can only play Windows Media Video (WMV) files, the Player will convert a copy of the Microsoft Recorded TV Show file to a file with a .wmv extension that can be played on your device. Converting the file format can dramatically increase the synchronization time. You can reduce synchronization time by converting copies of these files when it is convenient for you to do so, and then storing the converted copies in a cache for synchronization at a later time. For more information about adjusting quality settings and setting file conversion options, see Setting device options.

  • Synchronizing (includes the percentage completed). The file, and any information associated with it, is being synchronized with the device.

During synchronization, the Items on Device pane (the right side of Sync) displays the selected device, the message "Copy in progress," and the categories and playlists as they are synchronized with the device.

When sychronization of the items in a category or playlist finishes, the message "Synchronization is complete" is displayed above the Items to Copy pane and two types of categories are displayed in the Items to Copy pane: the number of items that were synchronized successfully and the number of items that were not synchronized due to errors, along with the error details. There may be more than one error category displayed if different types of errors occurred during synchronization. You can expand these categories to view the individual items that failed to synchronize due to errors and take the appropriate steps.

You can also view the synchronized files on the device by expanding the category or playlist that contains the items in the Items on Device pane.

Note Image Notes

  • You can stop synchronization at any time by clicking the Stop Sync button in the Items to Copy pane. This does not remove items already synchronized to the device, but does prevent additional items from being synchronized. Stopping synchronization does not affect synchronization settings for the partnership.
  • You can resize the Items to Copy pane and Items on Device pane by dragging the split bar that is between them. You can also resize any column in either pane by selecting the separator between the columns, and then dragging it.

Related topics

  • Synchronizing content with devices


Synchronizing media items with your device

When you connect your device to your computer for the first time, Windows Media Player starts the Device Setup Wizard, which helps you set up automatic or manual synchronization between the Player and your device.

When you connect your device to your computer after automatic synchronization has been established, the Player and the device begin synchronizing the content you selected, until all of the items are synchronized. If the Player detects that your device does not have enough room to store all of the automatically synchronized content, the Player and the device will synchronize content in priority order, either by default priority order or by a priority order that you select.

When you connect your device to your computer after manual synchronization has been established, you must select the content and specify the order in which it is synchronized. If the Player detects that your device does not have enough room to store all of the manually synchronized content, it will display a message next to the items that it cannot synchronize to your device. You can change the synchronization order or delete items from the synchronization list, and then start synchronization manually.

This section covers:

  • To set up automatic synchronization
  • To set up manual synchronization
  • To synchronize content manually

Note Image Note

  • If your device can display pictures in .jpg format, you can use the Player to synchronize pictures to your device. When you connect this device to your computer, The Player inspects the device capabilities and turns on an option that enables picture support for the device. An All Pictures category, with subcategories, is created in your library. You can then use the Player search features to add the pictures on your computer to your your library. For more information, see Adding items to your library.

Related topics

  • Synchronizing content with devices
  • Prioritizing content for automatic synchronization


To set up automatic synchronization

  1. Start Windows Media Player and then connect your device to your computer.

    If you have not set up synchronization between your computer and this device, the Device Setup Wizard starts.

  2. In the Device Setup Wizard, click Automatic.

    Automatic is already selected if your device's storage capacity is greater than 512 megabytes (MB). If your device has less capacity, Manual is selected. However you can still choose to set up automatic synchronization with a limited-storage device.

  3. (Optional) Click Customize the playlists that will be synchronized to change the priority order of the categories and playlists to be synchronized.

    For more information, see Prioritizing content for automatic synchronization.

  4. Click Finish.

Automatic synchronization begins. If synchronization does not start, click the Start Sync button in the Items to Copy pane.

Note Image Notes

  • If the Device Setup Wizard does not start, a manual synchronization partnership may already exist between your computer and the device. If you want to replace manual synchronization with automatic synchronization for the device, click Sync Settings in the Items to Copy pane to start the Device Setup Wizard, and then click the Synchronize device automatically check box in the wizard.
  • You can stop synchronization at any time by clicking the Stop Sync button in the Items to Copy pane. This does not remove items already synchronized to the device, but does prevent additional items from being synchronized. Stopping synchronization does not affect synchronization settings for the partnership.
  • If you set up automatic synchronization, but do not want synchronization to start when you connect the device to your computer, you can clear the Start sync when device connects check box in the device's Properties dialog box. When you turn off this options, you must click the Start Sync button in the Items to Copy pane to start automatic synchronization. For more information, see Setting device options.

Related topics

  • Synchronizing media items with your device


To set up manual synchronization

Use this procedure to set up manual synchronization between your computer and your device (the beginning of this procedure), or to manually synchronize content with your device after you connect it to your computer (step 4 of this procedure).

  1. Start Windows Media Player and then connect your device to your computer.

    If you have not set up synchronization between your computer and this device, the Device Setup Wizard starts.

  2. In the Device Setup Wizard, click Manual.

    Automatic is selected if your device's storage capacity is greater than 512 megabytes (MB). If your device has less capacity, Manual is already selected.

  3. Click Finish.

The wizard closes and the Sync feature in the Player is displayed.

Note Image Note

  • If the Device Setup Wizard does not start, a manual synchronization partnership may already exist between your computer and the device. If you want to replace manual synchronization with automatic synchronization for the device, click Sync Settings in the Items to Copy pane to start the Device Setup Wizard, and then click the Synchronize device automatically check box in the wizard.

Related topics

  • Synchronizing media items with your device
  • To synchronize content manually


To synchronize content manually

  1. Start Windows Media Player and then connect your device to your computer.
  2. In the Sync feature, in the Items to Copy pane, click Edit Playlist.

The Edit Playlist dialog box opens.

  3. In the Edit Playlist dialog box, do any of the following:
    • Add items to the playlist:
      1. In the View library by list, click the category that you want to use to sort the contents of your library.
      2. Click an item in the list to expand it and to locate the individual file that you want to add.
      3. Click the individual file to add it to the playlist.
    • Delete items from the playlist:
      • Click the items that you want to delete in the Playlist name box, and then click the Delete button Delete button.
    • Rearrange items in the playlist:
      • Click the item that you want to move in the Playlist name box, and then click the Move Up or Move Down button.
  4. In the Items on Device pane, select the portable device, and then do any of the following:
    • To view quality-level settings, click the Portable device properties button.
    • To create a folder on the device, click the Create folder button.
    • To permanently delete folders and items from the portable device to free storage space on it for your synchronized content, click folders and items displayed in the Items on Device pane, and then click the Delete button. The Player cannot delete folders that contain files other than digital media files.
  5. Click Start Sync in the Items to Copy pane.

Note Image Note

  • You can stop synchronization at any time by clicking the Stop Sync button in the Items to Copy pane. This does not remove items already synchronized to the device, but does prevent additional items from being synchronized.

Related topics

  • Synchronizing media items with your device
  • To set up manual synchronization


Prioritizing content for automatic synchronization

If your device does not have enough storage capacity for all of the files in your library that you want to synchronize, content in your categories and playlists is automatically synchronized with your device in priority order. This allows your favorite content to be synchronized with your device first.

When content is synchronized according to priority, higher priority content is synchronized with your device and lower priority content on the device is removed to make room for the higher priority content (if necessary). When low priority content is removed from the device during synchronization, it is not removed from your library.

Windows Media Player observes the following priority by default when synchronizing content with your device:

  • Music auto-rated at 5 stars
  • Music added in the last month
  • Music rated at 4 or 5 stars
  • Music played in the last month
  • Pictures taken in the last month
  • Pictures rated at 4 or 5 stars
  • TV added in the last week
  • Video rated at 4 or 5 stars
  • Music played the most
  • All Music
  • All Pictures
  • All TV
  • All Video

Any playlists that you have created are added to the top of the priority list. Also, some categories in the priority list may not be displayed if the Player detects that your device does not support playing or viewing the content in the category. For example, if your device does not support the viewing of pictures, the categories—Pictures taken in the last month, Pictures rated at 4 or 5 stars, and All Pictures—are not displayed.

Use the procedure in this section to view or change the content priority for a partnership to synchronize content with your device automatically.

This section covers:

  • To change content priority for automatic synchronization

Related topics

  • Synchronizing media items with your device
  • To set up automatic synchronization


To change content priority for automatic synchronization

This procedure assumes one the following:

  • You are following the procedure to set up automatic synchronization and you want to change the priority order of the categories and playlist that are synchronized with your device (start at step 5 of this procedure).

    -or-

  • You want to change the priority order of the categories and playlist that are automatically synchronized with your device.
  1. Start Windows Media Player and then connect your device to your computer.
  2. On the File menu, point to CDs and Devices, and then click Synchronize.

    The Sync feature in the Player is displayed.

  3. If the Player and your device are synchronizing content, click Stop Sync.
  4. Click Sync Settings.

    The Synchronization Settings dialog box opens.

  5. Do any of the following:
    • Click a category or playlist in the synchronization list, and then click the Move Up/Move Down buttons to raise/lower the priority, respectively.
    • Clear the check box next to a category or playlist to prevent items in a category or playlist from being synchronized with the device.
    • Click a category or playlist, and then click the Delete button to remove the category or playlist from the synchronization list. This does not remove the category or playlist from your library.
    • In the View list, click Only selected playlists to view only the categories and playlists that you selected. This option is useful if a large number of categories or playlists (both selected and unselected) are displayed, requiring you to use the scrollbar to view them.
    • Click New, and then select New Playlist or New Auto Playlist to create a new playlist or auto playlist. When you finish creating a new playlist, it is added to the synchronization list, but it is not selected. For more information about creating playlists, see Working with playlists.
    • Clear the Synchronize device automatically check box to change the automatic synchronization partnership to manual. After you finish making changes in the Synchronization Settings dialog box, you can click Start Sync in the Sync feature to begin manually synchronizing content.

Caution Image Caution

  • If you delete a synchronized file, playlist, or category from either your library or your device, this information is communicated between the Player and the device during synchronization, and the corresponding file, playlist, or category is deleted from your library or the device to maintain the synchronization partnership. For example, if you delete a playlist from your library that is part of a synchronization partnership, the corresponding playlist on your device is also deleted from your device the next time you connect it to your computer. Therefore, we highly recommend that you do not use your device as a form of backup storage for your library.

Related topics

  • Synchronizing media items with your device


Additional options that affect synchronization

You can select a displayed device to configure its properties or change file conversion options to reduce the amount of time that is required to synchronize files with a device by using the Devices tab in Windows Media Player.

To access the Devices tab

  • On the Tools menu, click Options, and then click the Devices tab.

For more information about setting device options on the Devices tab, see Setting device options.

The Player includes the following additional options that you can use to synchronize pictures in .jpg format to supported devices, maintain your auto-ratings, synchronize licensed files with an expiration date, and clear the device history cache in the Player.

Check box or button | For more information
Enable picture support for devices check box | Setting general Player options
Maintain my star ratings as global ratings in the media files check box | Setting Library options
Set clock on devices automatically check box | Setting privacy options
Clear CD/DVD button | Setting privacy options

Related topics

  • Synchronizing content with devices
  • Setting device options


Formatting devices

You may be required to format some devices before you can synchronize files to them. In most cases, Windows Media Player automatically prompts you to format the device when necessary. However, you can also format your device manually at any time.

Caution Image Caution

  • Formatting erases all data on the device.

Note Image Note

  • It may not be possible to use the Player to format every device. For more information, see the documentation that came with your device.

This section covers:

  • To format a device

Related topics

  • Synchronizing content with devices


To format a device

  1. On the File menu, point to CDs and Devices, and then click Synchronize.
  2. In the Items on Device pane (the right side of Sync), in the drop-down list, click the device that you want to format, and then click the Format storage media button Format storage media button .

Caution Image Caution

  • Formatting erases all data on the device.

Note Image Notes

  • It may not be possible to use the Player to format every device. For more information, see the documentation that came with your device.
  • The Items on Device pane (the right side of Sync) typically refreshes automatically when you connect a device to your computer, when you disconnect a device from your computer, or when you insert or remove storage media from a connected device. If the display does not refresh automatically, you can press F5 to refresh the display manually.
  • You can also use this procedure to format storage media that you insert into a device.

Related topics

  • Formatting devices


Installing device drivers

In some cases, you may need to install a new device driver to ensure that your portable device works properly with Windows Media Player.

This section covers:

  • To install a device driver

Related topics

  • Synchronizing content with devices


To install a device driver

  1. On the Tools menu, point to Download, and then click Supported Devices and Drivers.

    A Web page opens.

  2. Follow the instructions on the Web page to find, download, and install the appropriate driver for your device.

Note Image Notes

  • You must be connected to the Internet to complete this procedure.
  • You can also try installing new drivers for your device by visiting your device manufacturer's Web site or by scanning for driver updates on the Windows Update Web site.

Related topics

  • Installing device drivers


Shopping for digital media on the Internet

You can use Windows Media Player to find and purchase digital media content and to access radio stations on the Internet by browsing the Online Stores area or the Guide feature in the Player.

This section covers:

  • Browsing the online stores
  • Using the Guide feature

Related topics

  • Using the Player


Browsing the online stores

Windows Media Player provides access to music, video, and radio services from Internet service providers through online stores. When you register with a service provider, you can purchase digital media content from the service provider and then stream, download, manage, play, and in some cases, synchronize the content with portable devices.

Online stores are displayed in the Onlines Stores area of the Features taskbar in the Player. If you register with multiple service providers, you can specify that online stores for a particular service provider be displayed. Some service providers may not have an online store available for all the types of online stores that can be displayed in the Player. For example, a service provider may provide a music store, but not a video store store.

Music, video, and radio online stores from MSN Entertainment are the default online stores in Windows Media Player, unless you specify that online stores for another service provider be the default. You can use the Player to look for and register with other service providers of online stores and change the default online stores at any time.

This section covers:

  • To browse the available online stores
  • To change the default online stores
  • To remove online stores from the Player
  • To get help for online stores

Note Image Notes

  • Downloaded digital media content is displayed in your library in the All Music and All Video categories.
  • Digital media content from a service provider may only be available as long as you are registered with that service.

Related topics

  • Shopping for digital media on the Internet
  • Using the Guide feature


To browse the available online stores

  1. On the View menu, click Online Stores, and then click Browse All Online Stores.

    A Web page on the Windows Media Web site is displayed with links to music, video, and radio retailers that provide online stores for the Player.

Note Image Note

  • You must be connected to the Internet to browse the online stores.

Related topics

  • Browsing the online stores


To change the default online stores

  • On the View menu, click Online Stores, and then click another service provider that you have registered with.

    Online stores for the selected service provider are displayed in the Online Stores area of the Features taskbar and the service provider's default online store Web page is displayed.

Related topics

  • Browsing the online stores


To remove online stores from the Player

  1. Go to the online store that you want to remove.
  2. Follow the service provider's instructions to cancel your registration, subscription, membership, or account with the service provider.
  3. Restart Windows Media Player.

Note Image Notes

  • The service provider must process your request for cancelation before the online stores are removed from the Player. This process may take some time.
  • Music, video, and radio online stores from MSN Entertainment are the default online stores in Windows Media Player, unless you specified online stores for another service provider to be the default. When you can cancel your registration, subscription, membership, or account with MSN Entertainment, they are still displayed in the list of online stores in the Player.

Related topics

  • Browsing the online stores


To get help for online stores

Help for online stores is not provided in Windows Media Player Help. If you need assistance with using online stores, you must use the Help content available from the service provider.

  1. On the View menu, click Online Stores, and then click the service provider name.

    The service provider's online store Web page is displayed.

  2. Click the help links available in the Web page from the service provider.

Related topics

  • Browsing the online stores


Using the Guide feature

The Guide feature in Windows Media Player contains a live Web page that is hosted by WindowsMedia.com. The guide is like an electronic magazine; it is updated daily with links to the latest movies, music, and video on the Internet, and includes a broad range of topics from international news to the latest developments in the entertainment industry. You can play everything displayed in the Guide feature by using Windows Media Player.

This section covers:

  • To find digital media on WindowsMedia.com

Related topics

  • Shopping for digital media on the Internet
  • Browsing the online stores


To find digital media on WindowsMedia.com

  1. Click Guide.

    The WindowsMedia.com Web page is displayed.

  2. Do one of the following:
    • To view or listen to an item, click a link.
    • To find specific content, use the Search feature on the Web page.

Note Image Note

  • You must be connected to the Internet to use the Guide feature.

Related topics

  • Using the Guide feature


Maintaining your privacy

Microsoft is committed to protecting your privacy. To better understand the settings that affect your privacy and when information in your library may be shared, see the following sections about Windows Media Player privacy:

  • Settings that affect your privacy
  • Storing and removing media information
  • Sharing your library

Related topics

  • Using the Player


Settings that affect your privacy

The following Player commands, options, and buttons may affect the privacy of your media information and Player usage. For more information about Player features that also affect your privacy, see the Windows Media Player Privacy Statement.

Command, check box, or button | For more information
Acquire licenses automatically for protected content check box | Setting privacy options
Clear CD/DVD button | Setting privacy options
Clear History button | Setting privacy options
Cookies button (to allow cookies to be stored on your computer) | Setting privacy options
Delete Files button (to remove the copies of your converted video and TV files to be synchronized to your portable device from a temporary location on your computer) | Setting device options
Display media information from the Internet check box | Setting privacy options
Download codecs automatically check box | Setting general Player options
I want to help make Microsoft software and services even better by sending Player usage data to Microsoft check box | Setting privacy options
Restore Now button (to restore licenses) | Backing up and restoring licenses
Retrieve additional information from the Internet check box | Setting Library options
Save file and URL history in the Player check box | Setting privacy options
Send unique Player ID to content providers check box | Setting privacy options
Set clock on devices automatically | Setting privacy options
Update my music files by retrieving additional media info check box | Setting privacy options
Work Offline command | Working offline

Related topics

  • Maintaining your privacy
  • Storing and removing media information


Storing and removing media information

You can prevent some file history and media information from being stored on your computer. You may also be able to remove some of the information that has already been stored. For more information, see the following table.

Type of Information | Where the information is displayed or stored | How you can prevent the information from being stored | How you can remove information that has been stored
Content played or accessed | On the File menu, in the Recent File List. | On the Privacy tab, clear the Save file and URL history in the Player check box. | On the Privacy tab, click Clear History*.
Lists of files (content) accessed by using the Open URL dialog box | On the File menu, in the Recent File List. In the lists in the Open URL dialog box. | On the Privacy tab, clear the Save file and URL history in the Player check box. | On the Privacy tab, click Clear History*.
Lists of files (content) accessed by using the Open dialog box | On the File menu, in the Recent File List. In the lists in the Open dialog box. | On the Privacy tab, clear the Save file and URL history in the Player check box. | Empty the My Recent Documents folder on the computer. For more information, see To remove stored information from the list in the Open dialog box.
Media information about CDs copied to your library or played | On your computer. The media information is displayed in several places in the Player including Now Playing, Library, and in the Info Center View and Album Information panes. | On the Privacy tab, clear the Display media information from the Internet check box. | Media information about CD tracks displayed in your library cannot be removed. To remove media information about CD tracks that are not displayed in your library, on the Privacy tab, click Clear CD/DVD.
Updated media information for music files stored in your library | On your computer. The media information is displayed in several places in the Player including Now Playing, Library, and in the Info Center View pane. | On the Library tab, clear the Retrieve additional information from the Internet check box and on the Privacy tab, clear the Update files with missing media information from the Internet check box. | Media information about music displayed in your library cannot be removed.
Media information about DVDs played | On your computer. The media information is displayed in several places in the Player, including Now Playing, and in the Info Center View pane. | Media information is stored when you play a DVD. You cannot prevent it. | On the Privacy tab, click Clear CD/DVD.
Information about your device | This information is stored in a cache in your library. | For performance reasons, the Player stores information about the devices that connect to it in a cache. You cannot prevent it. | On the Privacy tab, click Clear CD/DVD.

*When you click the Clear History button, you also delete any changes that you have made to the media information for the CD or DVD.

Related topics

  • Maintaining your privacy


Sharing your library

By default, your computer has separate library databases for each user account. However, the contents of your library may be viewed and accessed by the other users of the computer if they add files to the Library feature by searching the computer. Users can also view your digital media content by using Windows Explorer.

Ratings, play counts, playlists, and auto playlists are also associated with your user account. For example, if you and your spouse log on to the same computer by using different user accounts, the ratings, play counts, playlists, and auto playlists shown in your library reflect only your usage, and not your spouse's.

Because the Library feature and some other Player features are associated with your user account, any media information that you edited, such as the artist name and song title, appears in your library only. This is also true for any skins, visualizations, and plug-ins that you download.

This section covers:

  • Granting access to your library

Related topics

  • Maintaining your privacy


Granting access to your library

By default, Windows Media Player does not allow Web pages to access information in your digital media files and in your library. However, any software that you install on your computer, such as programs or plug-ins, has full access to your library.

Web pages may request permission to access your library. Web pages may access the information in your digital media files and library in order to offer you similar content, advertise sales, or recommend music or video services, such as subscriptions.

Before the Player shares information from your files and library, a message is displayed notifying you that the Web page is seeking read or full access to your files and library. If you grant the Web page read access, it has the ability to scan the contents of your files and library. If you grant the Web page full access, it has the ability to scan and change media information in your files and library. This can include adding, removing, and changing media information, such as a track name, in your library and in your digital media files.

If you grant a Web page read or full access to your library when prompted, you only grant access for that single instance. In other words, when you open the Web page again, you will be prompted to grant access again.

The Player may also prompt you when skins and programs try to access your library, but usually it is because the skin or program is changing to a lower access level. For example, the Player may prompt you when a skin switches from full to read access.

Related topics

  • Sharing your library


Keeping your computer secure

This section covers the actions you can take to secure your computer while using Windows Media Player:

  • Using Internet Explorer security settings. Describes the security options that you can select in Internet Explorer to protect your computer while using the Player that require an Internet connection.
  • Using Windows Media Player security settings. Describes the security options that you can select in Windows Media Player to specify whether script commands and rich media streams can run when you play content that includes them.
  • Using a different type of user account. Describes how you can use different types of user accounts to protect your computer.

Related topics

  • Using the Player


Using Internet Explorer security settings

The following features in Windows Media Player require an Internet connection and may rely on security zones and security settings in Internet Explorer to display or work properly:

  • Guide
  • Online stores displayed in the Online Stores area of the Features taskbar or the Online Stores commands on the View menu
  • Media information such as album art, artist, and track title
  • The Find Album Info, View Album Info, Update Album Info, Find DVD Info, View DVD Info, and Info Center View commands
  • License acquisition and restoration
  • Codec downloads
  • The Add button on the Devices tab (which opens a Web page)
  • Notification and installation of Player updates

Changing security settings in Internet Explorer may affect the operation of the Player features or prevent information from being displayed. For example, the Internet Explorer security settings apply to the Web page displayed by the Guide feature, so if you disable Active scripting in the Security Settings dialog box in Internet Explorer, the Guide Web page may not display correctly in the Player.

Licenses may sometimes be obtained from Web pages that contain items such as active content, scripts, or forms. These items are prevented from running on your computer by default. If you obtain a license from a Web page that contains scripting or forms, however, these items may be allowed to run based on the security settings in Internet Explorer. Other features of the Web page, such as signed ActiveX controls, are prevented from running.

For more information about security settings in Internet Explorer, see Internet Explorer Help.

Related topics

  • Keeping your computer secure


Using Windows Media Player security settings

You can use the following options and buttons in Windows Media Player to choose whether script commands and rich media streams can run and to customize zone settings in Internet Explorer.

  • Run script commands when present
  • Do not run script commands and rich media streams if the Player is running inside a Web page
  • Zone Settings

For more information about security settings in Windows Media Player, see Setting security options.

Related topics

  • Keeping your computer secure


Using a different type of user account

If you use different types of user accounts, such as administrator or standard accounts, your computer may be better protected if you log on using an account with limited privileges. Users with administrator accounts can make system-wide changes to the computer, including installing and removing programs, adding and deleting operating system files, and accessing other users' passwords and library databases. Users with limited privileges cannot allow programs to install and run automatically, which could protect your computer from viruses.

For more information about user accounts, see Windows Help.

Related topics

  • Keeping your computer secure


Keyboard access

All features and buttons in Windows Media Player are accessible to you by using the keyboard only.

The Player provides a variety of keyboard shortcuts for the more commonly used commands and buttons. Use the keystrokes to control the Player from your keyboard or with macros.

This section describes the general keyboard shortcuts that you can use to select commands, buttons, and menus in the Player and covers the keyboard shortcuts according to their location in Windows Media Player.

  • Using keyboard shortcuts in the Player
  • Player controls keyboard shortcuts
  • Library keyboard shortcuts
  • Rip keyboard shortcuts
  • Burn keyboard shortcuts
  • File menu keyboard shortcuts
  • View menu keyboard shortcuts
  • Play menu keyboard shortcuts
  • Tools menu keyboard shortcuts
  • Help menu keyboard shortcuts
  • Anchor window menu keyboard shortcuts
  • Skin Chooser keyboard shortcuts
  • Skin shortcut menu keyboard shortcuts

Related topics

  • Using the Player
  • Accessibility for people with disabilities


Using keyboard shortcuts in the Player

The following table lists general keyboard shortcuts that you can use to select commands, buttons, and menus in the Player.

To do this | Use this keyboard shortcut
Make the underlined letter for a command or button available. The File menu is highlighted initially

After you press the ALT key, press the key for the underlined letter of the menu or command that you want to use.

You can use either the arrow keys or key of the underlined letter to select a different menu or an item on the menu.

 ALT
Access the Features taskbar features. | ALT, V, G
Move left and right or up and down on menus or lists

You can also use the arrow keys to adjust the volume and to position the Seek slider.

 Arrow keys
Play an item or select a command or button | ENTER or SPACEBAR
Select or clear a check box

To select or clear contiguous check boxes, press and hold SHIFT, use the arrow keys to highlight the appropriate check boxes, and then press SPACEBAR

To select or clear check boxes for multiple items that are not contiguous, press and hold CTRL, use the arrow keys to highlight the check boxes, and then press SPACEBAR

 SPACEBAR
Move the pointer to a different area

Press SHIFT+TAB to move the pointer in the opposite direction

Press CTRL+TAB to move the focus between the inner and outer areas of the Player

 TAB
Display a shortcut menu for the selected item | SHIFT+F10
Close any menu | ESC or ALT again
Restore the Player from mini Player mode | ALT+SHIFT+P

Related topics

  • Keyboard access


Player controls keyboard shortcuts

The following table lists the keyboard shortcuts for the playback controls. These keyboard shortcuts are also available when Windows Media Player is in skin mode, depending on the skin.

To do this | Use this keyboard shortcut
Play or pause a file | CTRL+P
Stop playback | CTRL+S
Mute volume | F8
Increase volume | F10
Decrease volume | F9
Play previous item | CTRL+B
Play next item | CTRL+F
Rewind | CTRL+SHIFT+B
Fast-forward | CTRL+SHIFT+F
Play faster than normal speed (time compression) | CTRL+SHIFT+G
Play at normal speed | CTRL+SHIFT+N
Play slower than normal speed (time expansion) | CTRL+SHIFT+S

Note Image Note

  • Rewind and fast-forward are not available for all files.

Related topics

  • Keyboard access
  • Playback Controls


Library keyboard shortcuts

The following table lists the keyboard shortcuts that are available in the Library feature.

To do this | Use this keyboard shortcut
Display Add to Now Playing List button menu | ALT+A
Display or hide album information | ALT+I
Display New button menu | CTRL+N
Show or hide the Search text box | ALT+S

Related topics

  • Keyboard access


Rip keyboard shortcuts

The following table lists the keyboard shortcuts that are available in the Rip feature.

To do this | Use this keyboard shortcut
Show names of album tracks to find or update information on the Web or hide album information | ALT+A
Copy music | ALT+C
Display or hide album information | ALT+I
Stop copy | ALT+S

Related topics

  • Keyboard access


Burn keyboard shortcuts

The following table lists the keyboard shortcuts that are available in the Burn feature.

To do this | Use this keyboard shortcut
Edit playlist | ALT+A
Copy items | ALT+C
Cancel copying | ALT+L
Delete a selected item | DELETE
Move to the next item in the list | DOWN ARROW
Move to the previous item in the list | UP ARROW
Refresh the information in the panes | F5

Related topics

  • Keyboard access


File menu keyboard shortcuts

The following table lists the keyboard shortcuts for the File menu commands.

To do this | Use this keyboard shortcut
Display the File menu | ALT+F
Open a file | CTRL+O
Specify a URL or path to a file | CTRL+U
Close or stop playing a file | CTRL+W
Create a new playlist | CTRL+N
Edit the current playlist | CTRL+D
Search specified locations for digital media files | F3
Exit or close the Player | ALT+F4

Related topics

  • Keyboard access


View menu keyboard shortcuts

The following table lists the keyboard shortcuts for the View menu commands.

To do this | Use this keyboard shortcut
Display the View menu | ALT+V
Switch to full mode | CTRL+1
Switch to skin mode | CTRL+2
Display menu bar in full mode | CTRL+M
Autohide menu bar in full mode | CTRL+SHIFT+M
Capture a DVD image | CTRL+I
Display video in full screen | ALT+ENTER
Zoom to 50% | ALT+1
Zoom at 100% | ALT+2
Zoom to 200% | ALT+3

Note Image Note

  • DVD commands are available only if you have a software decoder and hardware to support playing DVDs.

Related topics

  • Keyboard access


Play menu keyboard shortcuts

The following table lists the keyboard shortcuts for the Play menu commands.

To do this | Use this keyboard shortcut
Display the Play menu | ALT+P
Play or pause playback | CTRL+P
Stop playback | CTRL+S
Use a fast play speed | CTRL+SHIFT+G
Use a normal play speed | CTRL+SHIFT+N
Use a slow play speed | CTRL+SHIFT+S
Play the previous item | CTRL+B
Play the next item | CTRL+F
Rewind a file | CTRL+SHIFT+B
Fast-forward a file | CTRL+SHIFT+F
Shuffle the playlist | CTRL+H
Repeat the playlist | CTRL+T
Turn on or off captions and subtitles | CTRL+SHIFT+C
Increase volume | F10
Decrease volume | F9
Mute volume | F8
Eject CD or DVD | CTRL+E

Note Image Notes

  • The Eject keyboard shortcut is not displayed and does not work if multiple CD-ROM or DVD drives are attached to the computer.
  • DVD commands are available only if you have a software decoder and hardware to support playing DVDs.

Related topics

  • Keyboard access


Tools menu keyboard shortcuts

The following table lists the keyboard shortcuts for the Tools menu commands.

To do this | Use this keyboard shortcut
Display the Tools menu | ALT+T
Search specified locations for digital media files | F3

Related topics

  • Keyboard access


Help menu keyboard shortcuts

The following table lists the keyboard shortcuts for the Help menu commands.

To do this | Use this keyboard shortcut
Display the Help menu | ALT+H
Display Windows Media Player Help | F1

Related topics

  • Keyboard access


Anchor window menu keyboard shortcuts

The following table lists the keyboard shortcuts for the anchor window menu commands.

To do this | Use this keyboard shortcut
Display the anchor window menu | ALT+F6 to focus on anchor, then ALT key again
Switch to full mode | CTRL+1
Open or play a file | CTRL+O
Specify a URL or path to a file | CTRL+U

Related topics

  • Keyboard access


Skin Chooser keyboard shortcuts

The following table lists the keyboard shortcuts in the Skin Chooser feature.

To do this | Use this keyboard shortcut
Apply a skin | ALT+A
Access and download more skins | ALT+S
Delete a selected skin | DELETE

Related topics

  • Keyboard access


Skin shortcut menu keyboard shortcuts

The following table lists the keyboard shortcuts for the commands on the Skin shortcut menu, which are available only when Windows Media Player is in skin mode. The Skin shortcut menu provides access to a variety of commands that are available when Windows Media Player is in full mode.

To do this | Use this keyboard shortcut
Display shortcut menu | SHIFT+F10
Navigate through menu | SHIFT+F10, arrow keys, and ENTER
Close shortcut menu | ESC
Open a file | CTRL+O
Specify a URL or path to a file | CTRL+U
Shuffle the playlist | CTRL+H
Repeat the playlist | CTRL+T
Increase volume | F10
Decrease volume | F9
Mute volume | F8
Play or pause playback | CTRL+P
Stop playback | CTRL+S
Play the previous file | CTRL+B
Play the next file | CTRL+F
Switch to full mode | CTRL+1
Display Windows Media Player Help | F1

Related topics

  • Keyboard access


Customizing the Player

You can change the appearance and functionality of Windows Media Player in many ways. For example, you can change the Player size, how it looks, and the kind of information that it displays, and you can even add new features.

This section covers:

  • Changing the size of the Player. Provides information about resizing the Player.
  • Changing the color of the Player. Provides information about changing the color of the Player.
  • Changing the size of a video. Provides information about resizing the Video and Visualization pane.
  • Changing how the Player looks with skins. Provides information about using skins.
  • Changing your audio and video settings. Provides information about changing audio and video settings.
  • Using plug-ins. Provides information about using plug-ins, such as visualizations, to extend the functionality of the Player.
  • Updating the Player. Provides information about downloading the latest version of the Player.

Related topics

  • Introducing Windows Media Player 10


Changing the size of the Player

Windows Media Player has three modes: full mode, skin mode, and mini Player mode. Full mode is the default view of the Player. All functionality is available in full mode, including some features that are not available in skin mode and mini Player mode.

Skin mode is an alternate view of the Player that is usually smaller than full mode, and has a different graphical theme (for example, a theme based upon a musical group, a movie, or a sports team). In skin mode, you are limited to the functionality associated with the skin that you selected.

An anchor window may appear in the lower-right corner of your screen when the Player is in skin mode. You can use the anchor window to return the Player to full mode, select a new skin, open a file, or open a URL.

Mini Player mode is an alternate view of the Player. By default, when you minimize the Player while in full mode or skin mode, the Player minimizes to a taskbar button that does not include any playback controls. To access the playback controls, you must restore the Player. However, when you enable the mini Player mode and minimize the Player, the Player minimizes to a taskbar toolbar that includes the most common playback functions.

This section covers:

  • To switch between display modes
  • To resize the Player manually
  • To resize the Player automatically to fit a video
  • To show or hide the menu bar
  • To show or hide the Features taskbar

Related topics

  • Customizing the Player


To switch between display modes

  • Do one of the following.
    To switch from | Do this
    Full mode to skin mode | On the View menu, click Skin Mode.
    Skin mode to full mode | Right-click anywhere on the Player, and then click Switch to Full Mode.
    Full mode or skin mode to mini Player mode
    1. Right-click an open area of the Windows taskbar (such as below the system clock), point to Toolbars, and then select Windows Media Player.

      Note Image Note

      • The first step enables the feature and must only be performed once. To switch to mini Player mode in the future, simply perform step 2.
    2. In the Player, click the Minimize button.
    Mini Player mode to full mode or skin mode In the mini Player, click the Restore button.

    The Player returns to the mode that it was in previously.

Related topics

  • Changing the size of the Player


To resize the Player manually

  • In full mode, drag the lower right corner of the Player in any direction.

Note Image Note

  • You cannot resize the Player when it is maximized.

Related topics

  • Changing the size of the Player


To resize the Player automatically to fit a video

  • On the View menu, point to Video Size, and select Fit Player To Video On Start.

Note Image Notes

  • If the dimensions of the video are smaller than the available video area, the Player does not decrease in size.
  • It is recommended that you turn on both Fit Video to Player on Resize and Fit Player to Video on Start. The following table explains how these two settings interact with one another.
    Fit Video to Player on Resize / Fit Player to Video on Start | Description
    On/On | This is the recommended configuration. Windows Media Player automatically resizes to show the video at the best size (or the video size percentage that you specified). In addition, the Player automatically resizes the video when you manually resize the Player.
    On/Off | The video resizes to fit the dimensions of the Player. If you have specified a video size percentage, such as 200%, that setting is ignored.
    Off/On | The Player resizes when you start playing a video; however, resizing the Player has no effect on the video dimensions (other than cropping the video if the Player is smaller than the video). If you have specified a video size percentage, such as 200%, the Player resizes as necessary to fit the specified video size percentage.
    Off/Off | The video is resized to fit the specified video size percentage (if the dimensions of the Player are large enough to fit the video at the specified video size percentage), or the video is cropped (if the dimensions of the Player are too small to fit the video at the specified video size percentage). Resizing the Player has no effect on the dimensions of the video (other than cropping the video if the Player is smaller than the video).

Related topics

  • Changing the size of the Player


To show or hide the menu bar

To | Do this
Always show the menu bar in full mode | On the View menu, point to Full Mode Options, and then click Show Menu Bar.
Always hide the menu bar in full mode | On the View menu, point to Full Mode Options, and then click Hide Menu Bar.
Show the menu bar only when you move the pointer above the Player in full mode | On the View menu, point to Full Mode Options, and then click Autohide Menu Bar.

Note Image Note

  • The menu bar cannot be hidden when the Player is maximized.

Related topics

  • Changing the size of the Player


To show or hide the Features taskbar

  • On the View menu, point to Full Mode Options, and then click Hide Taskbar.

Related topics

  • Changing the size of the Player


Changing the color of the Player

You can personalize the look of the Player by changing its color.

This section covers:

  • To change the color of the Player

Related topics

  • Customizing the Player


To change the color of the Player

  1. On the View menu, point to Enhancements, and then click Color Chooser.
  2. Move the color attribute sliders as appropriate.

    The Hue slider adjusts the "color." The Saturation slider adjusts the intensity of that color.

Note Image Notes

  • To return to the default color, click the Reset link.
  • To use black as the Player background color (for example, in the Library feature and the Playlist pane), select the Use black as Player background color check box.

Related topics

  • Changing the color of the Player


Changing the size of a video

You can control how large a video clip or DVD image is displayed.

This section covers:

  • To resize a video in the Video and Visualization pane
  • To view a video using the entire screen

Related topics

  • Customizing the Player


To resize a video in the Video and Visualization pane

  • On the View menu, point to Video Size, and then click a video size percentage or Fit Video to Player On Resize.

Note Image Notes

  • This command is not available unless a video or DVD is playing, paused, or stopped.
  • It is recommended that you turn on both Fit Video to Player on Resize and Fit Player to Video on Start. The following table explains how these two settings interact with one another.
    Fit Video to Player on Resize / Fit Player to Video on Start | Description
    On/On | This is the recommended configuration. Windows Media Player automatically resizes to show the video at the best size (or the video size percentage that you specified). In addition, the Player automatically resizes the video when you manually resize the Player.
    On/Off | The video resizes to fit the dimensions of the Player. If you have specified a video size percentage, such as 200%, that setting is ignored.
    Off/On | The Player resizes when you start playing a video; however, resizing the Player has no effect on the video dimensions (other than cropping the video if the Player is smaller than the video). If you have specified a video size percentage, such as 200%, the Player resizes as necessary to fit the specified video size percentage.
    Off/Off | The video is resized to fit the specified video size percentage (if the dimensions of the Player are large enough to fit the video at the specified video size percentage), or the video is cropped (if the dimensions of the Player are too small to fit the video at the specified video size percentage). Resizing the Player has no effect on the dimensions of the video (other than cropping the video if the Player is smaller than the video).

Related topics

  • Changing the size of a video


To view a video using the entire screen

  • On the View menu, click Full Screen.

Note Image Notes

  • A video or DVD must be playing or paused for the Full Screen command to be available. To return to full mode, press ESC.
  • When you switch to full screen, the Player controls may appear for a short period of time (depending on the capabilities of your video card and the functionality of the visualization you may be viewing). To restore the controls after they disappear, move the mouse or press any key.
  • To prevent the full-screen controls from disappearing, click the Always show the full-screen controls button. To hide the full-screen controls automatically after a short period of time, click the Autohide full-screen controls button.

Related topics

  • Changing the size of a video


Changing how the Player looks with skins

You can change the appearance of Windows Media Player by using skins. Each skin has a distinct appearance that usually incorporates basic Player functions such as play, previous, next, stop, and the ability to adjust the volume. You can also play certain audio files, view a visualization, or do a variety of other things depending on the skin that you apply to the Player.

The Player includes several skins, but you can also download skins from the Internet. When you apply a skin, that skin displays whenever you change from full mode to skin mode.

This section covers:

  • To apply a skin
  • To delete a skin
  • To download a skin from the Internet

Related topics

  • Customizing the Player


To apply a skin

  1. On the View menu, point to Go To, and then click Skin Chooser.
  2. In the skins list, click the skin that you want to apply.

A preview of the skin appears.

  3. Click Apply Skin.

The Player switches to skin mode.

Note Image Notes

  • You can change skins as often as you like, but you must be in full mode to do so. To return to full mode, click the Switch to full mode button Switch to full mode button or press CTRL+1.
  • The skin that you apply may not have all of the functionality that the Player supports; the functionality of a skin is determined by its creator. For example, some skins do not have a Video and Visualization pane. Consequently, you cannot view video clips, DVDs, or visualizations in those skins.

Related topics

  • Changing how the Player looks with skins


To delete a skin

  1. On the View menu, point to Go To, and then click Skin Chooser.
  2. In the skins list, click the skin that you want to delete, and then click the Delete selected skin button Delete skin button .

Related topics

  • Changing how the Player looks with skins


To download a skin from the Internet

  1. On the View menu, point to Go To, and then click Skin Chooser.
  2. Click More Skins.

    The Skins Web page appears.

  3. Follow the instructions on the Web page for downloading a skin.

    The new skin is added to the list of skins.

Note Image Note

  • You must be connected to the Internet to complete this procedure.

Related topics

  • Changing how the Player looks with skins


Changing your audio and video settings

You can change the audio and video settings of the Player to suit your preferences.

This section covers:

  • To adjust graphic equalizer levels
  • To adjust audio effects
  • To adjust audio dynamic range (Quiet Mode)
  • To adjust video settings
  • To cross-fade items
  • To turn on volume leveling

Related topics

  • Customizing the Player
  • Setting device options


To adjust graphic equalizer levels

  1. Click Now Playing.
  2. On the View menu, point to Enhancements, and then click Graphic Equalizer.
  3. In the Enhancements pane, click the Turn on link, if visible.
  4. Do one of the following:
    • Select a preset equalizer setting, such as Default, Rock, or Jazz, from the Select preset list.
    • Move the equalizer sliders to the levels that you want to use. The levels that you set are saved automatically to the Custom preset.

Note Image Notes

  • To control how the sliders move in relation to one another, click one of the slider option buttons to the left of the equalizer.
  • To revert to the default settings, click the Reset link.
  • To hide the graphic equalizer, in the Enhancements pane, click the Close button.

Related topics

  • Changing your audio and video settings


To adjust audio effects

  1. Click Now Playing.
  2. On the View menu, point to Enhancements, and then click SRS Wow Effects.
  3. In the Enhancements pane, click the Turn on link, if visible.
  4. Do any of the following:
    • To enhance the bass, move the TruBass slider to the right.
    • To enhance the stereo effect, move the WOW Effect slider to the right.
    • To optimize sound output according to your speaker size, click the Normal Speakers / Large Speakers / Headphones link.

Note Image Notes

  • This feature is not available when you are playing a DVD.
  • SRS WOW is a technology that enables you to enrich your listening experience. For more information about SRS WOW technologies, see the SRS Web page. To access the page from the Player, click the SRS logo above the WOW Effect slider.
  • To hide the audio effects, in the Enhancements pane, click the Close button.

Related topics

  • Changing your audio and video settings


To adjust audio dynamic range (Quiet Mode)

Using the Quiet Mode feature, you can control the difference between the loudest and softest sounds when you play audio. You may want to reduce this difference (known as the audio dynamic range), for example, when watching movies at night or when listening to music with headphones. Turning on Quiet Mode keeps the sound level more uniform, thereby avoiding wide swings in volume.

  1. On the View menu, point to Enhancements, and then select Quiet Mode.
  2. In the Enhancements pane, click the Turn on link, if visible.
  3. Do one of the following.
    To | Do this
    Play the audio normally (the largest difference between loud and soft sounds) | Click the Turn off link.
    Play the audio by using a more limited dynamic range (a smaller difference between loud and soft sounds) | Click Medium difference.
    Play the audio by using the most limited dynamic range (the smallest difference between loud and soft sounds) | Click Little difference.

Note Image Note

  • Windows Media Player supports the Quiet Mode feature only for files that were encoded by using the Windows Media Audio 9 Lossless or Windows Media Audio 9 Professional codecs.

Related topics

  • Changing your audio and video settings


To adjust video settings

  1. Click Now Playing.
  2. On the View menu, point to Enhancements, and then click Video Settings.
  3. In the Enhancements pane, move the Hue, Saturation, Brightness, and Contrast sliders to the settings that you want to use.

Note Image Note

  • To hide the video settings, click the Close button in the Enhancements pane.

Related topics

  • Changing your audio and video settings


To cross-fade items

  1. On the View menu, point to Enhancements, and then click Crossfading and Auto Volume Leveling.
  2. In the Enhancements pane, click the Turn on Crossfading link, if visible.
  3. Move the slider to select the amount of time that you want the items to overlap.

Note Image Note

  • During playback, the audio cross-fade feature gradually overlaps the end of the current item (such as a song) with the beginning of the next item. The result is a smooth audio transition from one item to the next as the first item fades down and the next item fades up. The effect is similar to how songs on the radio are typically played.
  • To hide the crossfading and auto volume leveling settings, in the Enhancements pane, click the Close button.

Related topics

  • Changing your audio and video settings


To turn on volume leveling

The volume leveling feature functions by reading a volume leveling value in a Windows Media or MP3 file and then adjusting playback volume accordingly. The feature only supports files that are in Windows Media or MP3 format and that contain a volume leveling value.

  1. On the View menu, point to Enhancements, and then click Crossfading and Auto Volume Leveling.
  2. In the Enhancements pane, click the Turn on Auto Volume Leveling on link, if visible.

Note Image Note

  • To hide the Crossfading and Auto Volume Leveling settings, click the Close button in the Enhancements pane.

Related topics

  • Changing your audio and video settings


Using plug-ins

Plug-ins are components that add functionality to Windows Media Player. The Player includes the following types of plug-ins by default.

This type of plug-in | Does this
Visualization | Displays splashes of color and geometric shapes that change with the beat of the audio that is playing.
Now Playing | Performs a function in one of the panes in the Now Playing area (Video and Visualization, Enhancements, or Playlist).
Window | Performs a function in a window other than the Player window.
Background | Performs a function behind the scenes. It does not include a user interface.
Video DSP | Performs a video effect. Digital signal processing (DSP) is a method of analyzing signals (such as audio or video) and changing them to produce a desired effect.
Audio DSP | Performs an audio effect, such as reverberation.
Other DSP | Performs an effect other than a traditional video or audio effect.
Renderer | Plays a content format that is not native to the Player.

You can install additional plug-ins to customize the Player to suit your preferences.

This section covers:

  • To use a plug-in with a file or playlist
  • To download plug-ins from the Internet

Related topics

  • Customizing the Player
  • Setting plug-in options


To use a plug-in with a file or playlist

  1. Click Library, and then locate the file or playlist that you want to use with a plug-in.
  2. Right-click the file or playlist, point to Send to, and then click the plug-in.

Note Image Note

  • The Send to command is available only when plug-ins are installed.

Related topics

  • Using plug-ins


To download plug-ins from the Internet

  1. On the Tools menu, point to Download, and then click Plug-ins.

    The Plug-ins Web page appears.

  2. Follow the instructions on the Web page for downloading plug-ins.

Note Image Note

  • You must be connected to the Internet to complete this procedure.

Related topics

  • Using plug-ins


Using visualizations

Visualizations are plug-ins that display splashes of color and geometric shapes that change with the beat of the audio that is playing. When Windows Media Player is in full mode, visualizations display in the Now Playing feature. When the Player is in skin mode, visualizations display only if the skin supports it. When the Player is in mini Player mode, visualizations can be displayed in the Video and Visualization window.

Visualizations are grouped into collections based on specific themes, such as ambience or spikes. You can add and remove visualization collections or download additional collections from the Internet. You can also set properties for some collections.

This section covers:

  • To view a visualization
  • To download visualizations from the Internet

Related topics

  • Customizing the Player
  • Setting plug-in options


To view a visualization

  1. Play an item.
  2. Click Now Playing.
  3. On the View menu, point to Visualizations, point to a visualization collection, and then click the visualization that you want to use.

    -or-

    If you are already viewing a visualization, click the Previous visualization button Previous visualization button or the Next visualization button Next visualization button to see each visualization in a visualization collection.

Note Image Note

  • To view a visualization using the entire screen, on the View menu, click Full Screen. The visualization must be playing or paused for the Full Screen command to be available. To return to full mode, press ESC. Not all visualizations can be played in full screen.
  • When you switch to full screen, the Player controls may appear for a short period of time (depending on the capabilities of your video card and the functionality of the visualization you may be viewing). To restore the controls after they disappear, move the mouse or press any key. To prevent the full-screen controls from disappearing, click the Always show the full-screen controls button. To hide the full-screen controls automatically after a short period of time, click the Autohide full-screen controls button.

Related topics

  • Using visualizations


To download visualizations from the Internet

  1. On the Tools menu, point to Download, and then click Visualizations.

    The Visualizations Web page appears.

  2. Follow the instructions on the Web page for downloading a visualization collection.

    The collection is added to the list of available visualizations in the Player.

Note Image Note

  • You must be connected to the Internet to complete this procedure.

Related topics

  • Using visualizations


Updating the Player

The Player is updated periodically with new features and performance enhancements. You can download the latest version of the Player on demand or automatically.

This section covers:

  • To update the Player

Related topics

  • Customizing the Player


To update the Player

  • To check for updates on demand, on the Help menu, click Check For Player Updates, and then follow the instructions on the screen.

Note Image Notes

  • To update the Player, you must be logged on to your computer with a user account that permits you to install programs (for example, an account that is a member of the Administrators or Power Users groups). For more information about user accounts, see Windows Help.
  • You must be connected to the Internet to complete this procedure.

Related topics

  • Updating the Player
  • Setting general Player options


Setting options

You can configure Windows Media Player according to your preferences. For example, you can specify the storage location for digital media files on your computer, add or remove plug-ins, set privacy and security options, or select the sound quality of the audio files you copy from CDs or to your portable device.

To change settings

  • If the Player is in full mode, on the Tools menu, click Options, click the tab that you want, and then change the settings that you want.

    -or-

    If the Player is in skin mode, right-click the Player, click Options, click the tab that you want, and then change the settings that you want.

This section covers:

  • Setting general Player options
  • Setting options for copying CDs
  • Setting device options
  • Setting performance options
  • Setting Library options
  • Setting plug-in options
  • Setting privacy options
  • Setting security options
  • Setting file type options
  • Setting DVD playback options
  • Setting network options

Note Image Note

  • Several of the settings are for advanced users.

Related topics

  • Customizing the Player


Setting general Player options

You can set the following options by using the Player tab:

  • Specify how often Windows Media Player checks for updates.
  • Automatically download updated codecs.
  • Establish Internet identity, license, and connection settings.
  • Change which feature displays when Windows Media Player opens.

To access the Player tab

  • On the Tools menu, click Options, and then click the Player tab.

This section covers the following options:

  • Automatic updates
  • Player settings

Related topics

  • Setting options


Automatic updates

Option | Description
Check for updates | Specifies how often you want the Player to check for updates. Click the interval that you want to use.
Download codecs automatically Specifies whether an uninstalled, but supported, codec is downloaded automatically when you try to play a file that requires it. You must be connected to the Internet for this option to work. If you want the Player to prompt you before downloading a new supported codec, clear this check box.

Note Image Notes

  • You must be logged on as an administrator or a member of the Administrators group to change this setting.
  • You are always prompted before third-party codecs are downloaded. Third-party codecs are not under the control of Microsoft, and Microsoft is not responsible for any damage to your computer arising out of your use or inability to use any third-party codecs.

Related topics

  • Setting general Player options


Player settings

Option | Description
Start Player in Media Guide | Specifies whether the Player opens in the Guide feature or the Now Playing feature.
Display on top when in skin mode | Specifies whether the Player remains in the foreground when it is in skin mode while other programs are in use.
Display anchor window when in skin mode Specifies whether the anchor window is displayed when the Player is in skin mode. The anchor window is a small window that appears in the lower-right corner of the screen when Windows Media Player is in skin mode.

Skins can have a variety of looks and available features so the anchor is an easy way to return to full mode.
Allow screen saver during playback | Specifies whether a screen saver is displayed according to options you set in Windows when Windows Media Player is playing digital media files. Clear this check box if you are watching a movie, a long video, or a visualization.
Add music files to library when played | Specifies whether any music files that you play on your computer or from the Internet are automatically added to your library.
Include files from removable media and network shares Specifies whether any items that you play on removable media, such as a CompactFlash card, data CD or data DVD, or on network-shared resources are automatically added to your library.

To play content from removable media in the Library feature, the removable media must be inserted in the drive or connected to your computer.

If this option is selected, only music files from data CDs and DVDs are added to your library when played. Tracks played from audio CDs are not added to your library when this optioin is selected.
Prompt me to back up my licenses | Specifies whether Windows Media Player prompts you to back up your licenses approximately two weeks after you acquire a new one.
Connect to the Internet (overrides other commands) | Specifies whether Windows Media Player is connected to the Internet even if other commands, such as the Work Offline command on the File menu, are turned on. Selecting this option ensures that Player features that require an Internet connection, such as Guide, can always connect when your computer is online.
Enable picture support for devices If your portable device can display pictures in .jpg format, select this option to allow the Player to synchronize pictures that you select in your library with your device.

Note Image Note

  • The Player automatically turns this option on and creates an All Pictures category in the Contents pane when you create a synchronization partnership with a device that supports picture viewing. You can then have the Player search for pictures on your computer and add them to your library. For more information, see Adding items to your library.

Related topics

  • Setting general Player options


Setting options for copying CDs

You can set the following options by using the Rip Music tab:

  • Change the storage location for CD tracks.
  • Specify whether tracks are ripped to your computer in Windows Media Audio or MP3 format, if it is available.
  • Protect ripped tracks from illegal distribution, copying, and sharing.
  • Specify the sound quality of music copied in the Windows Media Audio format.

To access the Copy Music tab

  • On the Tools menu, click Options, and then click the Rip Music tab.

This section covers the following options:

  • Rip music to this location
  • Rip settings

Related topics

  • Setting options


Rip music to this location

Option | Description
Change | Click to change where audio files are stored.
File Name | Click to select the information that appears in the file name of tracks that you copy from CDs.

Related topics

  • Setting options for copying CDs


Rip settings

Option | Description
Format Lists the types of Windows Media files in which you can copy CD tracks. By default, the available options are Windows Media Audio, Windows Media Audio (variable bit rate), and Windows Media Audio Lossless.

Note Image Note

  • The option to copy CD tracks in MP3 format is available only if you have installed an MP3 Creation plug-in.
Copy protect music Specifies whether tracks copied from CDs in Windows Media Audio format are protected files. A license is required to play protected files. Licenses help protect the copyrights of artists by preventing illegal distribution. Selecting this check box may prevent you from playing the tracks on another computer.

Note Image Note

  • You should back up your licenses to a floppy disk periodically. If you reinstall or upgrade your operating system, your licenses could be lost even though you retained your protected files.
Rip CD when inserted Specifies that CDs are automatically copied to your library when inserted into the CD drive. This feature enables you to copy several CDs in succession, especially if both this option and the Eject CD when ripping is complete option are selected.

You can play the CD while it is being copied.
Eject CD when ripping is complete Specifies that CDs are automatically ejected when the Player has finished copying them. This option enables you to copy several CDs in succession without having to eject each CD manually.

You can play the CD while it is being copied, but playback stops when copying is completed and the CD is ejected.
Audio quality | Adjusts the compression quality when you copy CD tracks to your computer as Windows Media Audio files. Copying tracks at a higher quality requires lower compression, a higher bit rate, and more disk space. The sound quality decreases the more the tracks are compressed.

Related topics

  • Setting options for copying CDs


Setting device options

You can select a displayed device to configure its properties or change file conversion options to reduce the amount of time required to synchronize files with a device by using the Devices tab.

To access the Devices tab

  • On the Tools menu, click Options, and then click the Devices tab.

This section covers the following options:

  • Devices
  • File conversion

Related topics

  • Setting options


Devices

Option | Description
Add | Click to open a Web page that contains information about the types of portable devices that Windows Media Player can synchronize files with. The Web page may also include a link to add a driver for a specific device.
Refresh | Click to update the displayed devices.
Properties Select a displayed device, and then click this button to configure its properties.

Examples of some properties that you can configure include:

  • Select digital or analog playback mode for CDs and DVDs.
  • Change burn settings for CD-R drives.
  • Change the monitor's pixel aspect ratio if video in the Player is stretched or skewed.
  • Change speaker settings.
  • Set synchronization options and change the quality level (size) of items that are synchronized to portable devices.

Related topics

  • Setting device options


File conversion

Click the Advanced button to access the following file conversion options.

Option | Description
Allow files to convert in the background | Click to allow copies of the video and TV files to be converted to a format that is optimized for synchronization when you add them to your library. If this option is not selected, copies of the files are converted during synchronization, which can increase the synchronization time. The converted copies are stored in a temporary location on your computer that you specify.
Convert Now | Click this button to create copies of the video and TV files that have not been previously converted to a format that is optimized for synchronization. The converted copies are stored in a temporary location on your computer that you specify.
Change (Temporary files location) | Click the Change button to specify the temporary location on your computer that stores copies of your converted video and TV files to be synchronized to your portable device.
Delete Files (Temporary files location) | Click the Delete button to remove the copies of your converted video and TV files from the temporary location on your computer.
Amount of disk space to use (Temporary files location) | Specify the amount of disk space available on your computer for temporary storage of converted video and TV files to be synchronized with your portable device.

Related topics

  • Setting device options


Setting performance options

You can specify the network (or Internet) connection speed, the amount of time that streamed content is buffered, or choose the video hardware acceleration that you want your video hardware to use by using the Performance tab.

To access the Performance tab

  • On the Tools menu, click Options, and then click the Performance tab.

This section covers the following options:

  • Connection speed
  • Network buffering
  • Video acceleration

Related topics

  • Setting options


Connection speed

Option | Description
Detect connection speed (recommended) | Specifies that you want Windows Media Player to detect the speed of your modem or the type of network connection that you have.
Choose connection speed | Specifies the speed of your modem based on what you select.

Related topics

  • Setting performance options


Network buffering

Option | Description
Use default buffering (recommended) | Specifies that the default settings for network buffering are used.
Buffer <seconds> seconds of content | Specifies the buffering time (up to 60 seconds). The longer the buffer time, the longer it takes for streaming content to begin playing.

Related topics

  • Setting performance options


Video acceleration

Option | Decription
Video acceleration | Adjusts the video acceleration capabilities of your video hardware. Drag the slider to Full to use all available video acceleration. Drag the slider to None to use basic video acceleration settings that work with most video hardware.
Advanced | Click to customize Digital Video (DV) resolution, video acceleration settings, and DVD video settings. The default settings are appropriate for most users. You should only modify these settings if you fully understand the capabilities of your video hardware.
Restore Defaults | Click to return to the default video acceleration settings.

Related topics

  • Setting performance options


Setting Library options

You can set options to add purchased music to your library automatically, permanently delete digital media files from your computer, and specify whether media information is updated and downloaded by using the Library tab.

To access the Library tab

  • On the Tools menu, click Options, and then click the Library tab.

This section covers the following options:

  • Add and delete media files
  • Automatic media information updates for files

Related topics

  • Setting options


Add and delete media files

Option | Description
Monitor Folders Click to specify which folders you want the Player to monitor for changes to digital media files. Changes include files being added, deleted, moved, or renamed. The changes to the digital media files in the monitored folders are reflected in your library immediately.

Note Image Note

  • This feature is only available on hard drives formatted with NTFS.
Skip audio files smaller than | Provides a space for you to type a minimum size for audio files added to your library. Files that are smaller than the limit that you specify are not added.
Skip video files smaller than | Provides a space for you to type a minimum size for video files added to your library. Video files that are smaller than the limit that you specify are not added.
Delete item from computer when deleted from library | Specifies that any file that you delete from your library is also deleted from your computer.

Related topics

  • Setting Library options


Automatic media information updates for files

Option | Description
Retrieve additional information from the Internet Specifies that the Player automatically obtains and updates missing media information for music files that are added to or stored in your library, if the information is available. By default, the music files in your My Music folder are added to your library.

If this check box is selected and you perform any of the following actions, the Player tries to update any missing media information in your music files by sending data about the files to a database operated by your default online store:

  • Use the Library feature for the first time after updating the Player
  • Add files to your library by searching your computer
  • Add files to monitored folders, such as My Music

For example, if you have music files that contain the artist name but not the album name, the Player adds the album name to the file after retrieving the information from the database.

The Player also adds album art to files and music folders in your My Music folder.

Note Image Notes

  • By default, only missing media information, such as album or artist name, is added to your music files. You can choose to overwrite existing media information by clicking the Overwrite all media information option on the Library tab.
  • When you display the Info Center View pane, the Player retrieves related media information but does not update the information in your files.
  • Media information that is retrieved may not be in your local language.
Only add missing information | Specifies that the Player only add missing media information from the Internet for music files copied by using the Player, if the information is available.
Overwrite all media information | Specifies that the Player replace and update media information from the Internet for all music files copied by using the Player, if the information is available.
Rename music files using rip music settings | Specifies that the Player rename and reorganize the files in your library when updated media information is obtained for the files.
Rearrange music in rip music folder, using rip music settings | Specifies that the Player move the files to another location in the folder to which the files were copied when updated media information is obtained for the files.
Maintain my star ratings as global ratings in the media files Specifies that you want to save the user ratings for the music files in your library along with the files.

If you use this option, the user ratings are included when you copy your music files to a new computer.

Related topics

  • Setting Library options
  • Updating media information for files automatically


Setting plug-in options

You can add and remove plug-ins, such as visualizations, and change the properties of plug-ins by using the Plug-ins tab.

To access the Plug-ins tab

  • On the Tools menu, click Options, and then click the Plug-ins tab.

This section covers the following options:

  • Plug-ins

Related topics

  • Setting options


Plug-ins

Option | Description
Category | Lists the available plug-in categories.
Category list (the rightmost list), where Category is the plug-in category that you selected. | Lists the plug-ins in the selected category.
Properties | Click to change the properties of the selected plug-in. The specific properties you can change vary by plug-in.
Remove | Click to delete the selected plug-in. Some plug-ins cannot be removed, such as the visualizations that are included in Windows Media Player by default.
Add | Click to add a visualization collection from a location that you specify.

Note Image Notes

  • Some plug-ins, such as audio digital signal processing (DSP) plug-ins, can be manually enabled or disabled. Essentially, this allows you to turn an effect on or off whenever you want. Other plug-ins, such as visualizations and renderer plug-ins, cannot be manually enabled or disabled. These plug-ins remain enabled as long as they are installed on your computer. Although they are enabled (that is, they are available to perform some function), they generally are only "turned on" when you take some specific action in the Player (for example, choosing to view a particular visualization or playing a type of content that requires the use of a specific renderer plug-in).
  • When renderer plug-ins are activated, they are identified as "loaded." This information can be useful when troubleshooting a third-party plug-in that is not operating as expected.

Related topics

  • Setting plug-in options


Setting privacy options

Use the Privacy tab to change settings that affect the storage and retrieval of media information on your computer. Additionally, you can choose whether to allow Web sites to identify your Player and store cookies on your computer.

You can also choose to participate in the Customer Experience Improvement Program.

For more information about privacy, see the Windows Media Player Privacy Statement.

To access the Privacy tab, on the Tools menu, click Options, and then click the Privacy tab.

This section covers the following options:

  • Enhanced Playback and Device Experience
  • Enhanced Content Provider Services
  • Customer Experience Improvement Program
  • History

Note Image Note

  • If you are upgrading Windows Media Player, your previous settings for some of the options are retained.

Related topics

  • Setting options


Enhanced Playback and Device Experience

To enrich your experience when playing CDs, DVDs, and digital media files, the Player downloads related media information about the content, such as the album title, album art, song and DVD titles, artist, composer, and other information.

You can use the following options to control whether related media information is retrieved for your digital media content.

Option Description
Display media information from the Internet The Player can try to obtain media information for the CDs and DVDs that you play. To obtain the media information, the Player sends the CD or DVD identifier to a database operated by your default online store. The online store then sends the information back to your computer, where the information is stored.

When your computer is offline, the Player stores the request for media information so it can try to obtain the media information the next time your computer is connected to the Internet.

Note Image Note

  • The media information that is retrieved may not be in your local language.
Update my music files by retrieving additional media info The Player can automatically obtain and update missing media information for music files that are added to or stored in your library, if the information is available. By default, the music files in your My Music folder are added to your library.

If this check box is selected and you perform any of the following actions, the Player tries to update any missing media information in your music files by sending data about the files to a database operated by your default online store:

  • Use the Library feature for the first time after updating the Player
  • Add files to your library by searching your computer
  • Add files to monitored folders, such as My Music

For example, if you have music files that contain the artist name but not the album name, the Player adds the album name to the file after retrieving the information from the database.

The Player also adds album art to files and music folders in your My Music folder.

When you display the Info Center View or Album Information panes, the Player retrieves related media information but does not update the information in your files.

Note Image Note

  • The media information that is retrieved may not be in your local language.
Acquire licenses automatically for protected content The Player can automatically acquire a license when a file requires one. Acquiring licenses automatically can provide a more seamless playback experience for protected files, because the Player obtains the license without prompting you.

Some protected content requires a license to play it. To acquire licenses for content (other than content from CDs that you copy to your computer), you may be required to visit the content provider's Web site. Once a license is acquired, it is stored on your computer.

You cannot play protected content if you do not have the license. In some cases, you may be required to pay for the license. In other cases, you may be required to complete a form before the content provider will issue the license to you.
Set clock on devices automatically The Player can automatically set and refresh an internal clock on your device. This enables you to synchronize protected files that have licenses containing expiration dates with your device.

Select this option if you want to play protected content with expiration dates on your portable device.

Note Image Note

  • The Player cannot synchronize protected files with expiration dates with a device that does not contain an internal clock. For more information, see your device documentation.

Note Image Note

  • If you are upgrading Windows Media Player, your previous settings for some of the options are retained.

Related topics

  • Setting privacy options


Enhanced Content Provider Services

You can use the following options to control whether content providers can uniquely identify your Player when you receive streaming media from their servers and to control whether Web servers can store cookies on your computer.

Option Description
Send unique Player ID to content providers The Player can be uniquely identified by Web servers, using an identifier created by the Player. The identifier uniquely identifies the Player connection to a server and does not contain any personally identifiable information about you.

If the check box for this option is selected when you receive streaming media over the Internet, Windows Media Player sends a unique identifier to the server that is delivering the stream or receiving connection information. The server typically uses this unique identifier to perform tasks such as monitoring your connections, gathering statistics, and providing access to content. By monitoring your connection, the server administrator can often make adjustments to improve the playback quality and to provide additional services.

The Player does not send this unique ID to content providers by default. Note that you may encounter content providers that require you to send a unique identifier to receive content. If so, you can select this check box to provide that identifier. For more information about how a content provider uses the Player ID, see the content provider's privacy policy.

If you do not want a server to be able to uniquely identify your computer when you are receiving streaming media, do not select this check box.
Cookies Cookies are small files that contain information content providers can use to customize the data sent back to your computer. Cookies are sent from Web servers and are stored on your computer. The servers may also record or log the requests made by the Player.

The Player uses the cookie settings in Internet Explorer to communicate with other computers when playing streaming content and to communicate with the Web sites that display content in the Guide feature and Services area of the Player. Cookies also enable content providers to provide personalized services from their Web sites.

You can prevent (block) your computer from storing cookies from a specific Web site by adding the address of that Web site to a list in Internet Explorer and then specifying that you want to block cookies from that site. You can also prevent your computer from storing cookies from all Web sites or ask to be prompted before cookies are stored on your computer by changing the security level in Internet Explorer. For more information about cookies, see Internet Explorer Help.

Note Image Note

  • Any changes made to cookie settings in Internet Explorer affect not only the Player, but also Internet Explorer, Microsoft Outlook®, and Microsoft Outlook Express.

Note Image Note

  • If you are upgrading Windows Media Player, your previous settings for some of the options are retained.

Related topics

  • Setting privacy options


Customer Experience Improvement Program

The following option specifies whether to send anonymous Player usage information to Microsoft. The anonymous information obtained from you and other program participants is used to improve the Player and related services.

Option | Description
I want to help make Microsoft software and services even better by sending Player usage data to Microsoft | The Customer Experience Improvement Program helps to improve the quality, reliability, and performance of Microsoft software and services. If you join the program by selecting this check box in Windows Media Player, you can help us improve the Player and related services by sending anonymous Player usage information to Microsoft. We’ll collect anonymous information about your hardware configuration and how you use the software and services to identify trends and usage patterns. The information that you send us is completely anonymous. We will not collect your name, address, or any other personally identifiable information. There are no surveys to complete, no salesperson will call, and you can continue working without interruption. Read more about the Customer Experience Improvement Program.

Note Image Note

  • If you are upgrading Windows Media Player, your previous settings for some of the options are retained.

Related topics

  • Setting privacy options


History

Links to files and URLs are saved in a few places in the Player and on your computer. You can use the following options to prevent others from seeing which files you play and which Internet addresses (URLs) you visit.

Option Description
Save file and URL history in the Player Lists of your most recently played files are displayed on the File menu and in the Open and Open URL dialog boxes.

If this check box is selected, anyone who uses the Player with your user account can see the list of the content that you have played recently.
Clear History Click this button to remove stored information from the list on the File menu and from the list in the Open URL dialog box.

To remove stored information from the list in the Open dialog box, you must empty the My Recent Documents folder on the computer. For more information, see To remove stored information from the list in the Open dialog box.
Clear CD/DVD Click this button to remove all stored media information about CDs and DVDs that you have played. After downloading media information about CDs and DVDs from the Internet, the information is stored on your computer so that it is available to you even when your computer is not connected to the Internet.

If you remove the media information for your CDs and DVDs, you will need to be connected to the Internet when you play them to view album art, track names, album names, and so on.

Note Image Notes

  • The Player must send information about the CD and DVD to your default online store to display the correct album art and other media information.
  • For performance reasons, the Player stores information about the devices that connect to it in a cache. You can also use this option to clear the cache of device information.

Note Image Notes

  • Clearing the Save file and URL history in the Player check box does not remove the history of files that you have already played and URLs that you have already visited. It only prevents the history of files played and URLs visited in the future from being stored.
  • If you are upgrading Windows Media Player, your previous settings for some of the options are retained.

Related topics

  • Setting privacy options


Setting security options

Use the Security tab to set options that affect the security of your Player and computer.

For more information about privacy and security, see the Windows Media Player Privacy Statement.

To access the Security tab

  • On the Tools menu, click Options, and then click the Security tab.

This section covers the following options:

  • Content
  • Security Zone

Related topics

  • Setting options
  • Keeping your computer secure


Content

Option | Description
Run script commands when present | Specifies whether to allow scripts to run in any digital media content that contains them. When you download content from the Web, the scripts are downloaded to your computer and run when you play back the content. Script commands usually contain instructions for the content. Web pages may contain scripts that could run on your computer without your knowledge. For example, malicious scripts could perform unwanted actions on your computer, such as deleting files. Using the settings from Internet Explorer security zones, you can prevent items that are not on your computer, such as Web pages, from accessing any information in your library, except information that is applicable to that item.
Do not run script commands and rich media streams if the Player is running inside a Web page | Specifies whether script commands in content can run when the Player is embedded in a Web page. This option can also prevent rich media streams from running. Rich media streams contain a Microsoft PowerPoint® slide show or a movie and are created by using Microsoft Producer for Microsoft Office PowerPoint 2003.

Related topics

  • Setting security options


Security Zone

Option | Description
Zone Settings | Opens the Security dialog box for Internet Explorer. You can change the security settings to control how content is displayed in Web pages and change the level of access Web sites have to your computer. For more information about Internet Explorer security settings, see Internet Explorer Help.

Related topics

  • Setting security options


Setting file type options

Use the File Types tab to select the file types (formats) that Windows Media Player plays. Windows Media Player will try to be the default player for the selected file types. If you want to make another player the default player for a specific file type, clear the check box for it in the File types list. You must be logged on as an administrator or a member of the Administrators group to change these settings.

To access the File Types tab

  • On the Tools menu, click Options, and then click the File Types tab.

This section covers the following options:

  • File types

Related topics

  • Setting options


File types

The File Types tab displays the following available file types (formats) that Windows Media Player can play.

File type | Description
Windows Media Audio file (wma) | Windows Media files with .wma and .wax extensions.
Windows Media Video file (wmv) | Windows Media files with .wmv and .wvx extensions.
Windows Media file (asf) | Windows Media files with .asf, .asx, .wpl, .wm, .wmx, .wmd, and .wmz extensions.
Microsoft Recorded TV Show | Microsoft Recorded TV Show files with .dvr-ms extensions.
DVD Video | DVD video files with .vob extensions.
Music CD Playback | Audio CDs and files with .cda extensions.
MP3 audio file (mp3) | Files with .mp3 and .m3u extensions.
Windows video file (avi) | Files with .avi extensions.
Windows audio file (wav) | Files with .wav extensions.
Movie file (mpeg) | Files with .mpeg, .mpg, .mpe, .m1v, .mp2, .mpv2, .mp2v*, and .mpa extensions.
MIDI file (midi) | Files with .mid, .midi, and .rmi extensions.
AIFF audio file (aiff) | Files with .aif, .aifc, and .aiff extensions.
AU audio file (au) | Files with .au and .snd extensions.

*To play .mp2v files, you must have a software or hardware DVD decoder installed on your computer.

Note Image Notes

  • Your AutoPlay settings may affect your Player file types settings. For more information about AutoPlay, see Windows Help.
  • If you install other multimedia playback programs on your computer, they may interfere with your Player file types settings. For more information about setting file type ownership in other multimedia playback programs, see the documentation that came with those programs.
  • If a selected check box is dimmed, Windows Media Player has only partial ownership of the file type. Multiple file extensions are assigned to the file type, but the Player only plays some of those extensions by default. To give the Player full ownership of a file type, double-click the dimmed check box.

Related topics

  • Setting file type options


Setting DVD playback options

Use the DVD tab to set parental control and language settings for all DVDs.

To access the DVD tab

  • On the Tools menu, click Options, and then click the DVD tab.

This section covers the following options:

  • Parental control
  • Language settings

Related topics

  • Setting options


Parental control

Option | Description
Parental control | Specifies whether to use parental control or not. Select this check box to prevent unauthorized users, such as children, from viewing DVDs that have Motion Picture Association of America (MPAA) ratings higher than the rating that you choose.
Select a rating | Lists the MPAA ratings. For example, if you want to prevent unauthorized users from viewing DVDs that are rated R or higher, select PG.

Note Image Note

  • You must set up appropriate Windows user accounts and passwords to use DVD parental control. If you do not set up appropriate user accounts, the DVD parental control settings will not take effect. For more information about setting up user accounts, see Windows Help

Related topics

  • Setting DVD playback options


Language settings

Option Descriptions
Defaults Specifies the default language for audio soundtracks, captions and subtitles, and the DVD onscreen menus:
  • Audio language. To always play audio soundtracks in a particular language, select a language from the list.

    To override the audio language setting for a particular DVD, see To change the soundtrack language.

  • Captions and subtitles. To always display captions and subtitles in a particular language, select a language from the list. Player performance may degrade when displaying subtitles or closed captions on computers with limited video memory.

    To always use the default caption and subtitle language for a disc, click Title Default. Subtitles and closed captions cannot be displayed at the same time.

    To always display closed captions instead of subtitles, click Closed Captions.

    To override the captions and subtitles language setting for a particular DVD only, see To change the caption or subtitle language.

  • DVD menu. To always display DVD menus in a particular language, select a language from the list.

Note Image Note

  • The language that you choose is only played if the DVD that you are watching supports that language.

Related topics

  • Setting DVD playback options


Setting network options

Use the Network tab to configure the protocols and proxy settings that you want Windows Media Player to use when receiving streaming media files.

To access the Network tab

  • On the Tools menu, click Options, and then click the Network tab.

This section covers the following options:

  • Streaming protocols
  • Streaming proxy settings

Related topics

  • Setting options


Streaming protocols

Option | Description
Streaming protocols | Specifies the protocols Windows Media Player can use to receive a stream. The Player receives streams through UDP, TCP, and HTTP. It can also receive multicast streaming. By default, all protocols are selected, which means that the Player tries to use each protocol to receive a stream. Because the Player can receive files by using a variety of protocols, it is recommended that you select all protocols. However, if your network implements a firewall that prevents you from receiving streams that use the UDP or TCP protocols, you may want to clear the UDP or TCP check boxes.
Use ports <port number> to receive data Specifies a particular port if UDP is the protocol used to receive streaming content. This option is useful if your network or firewall administrator has established a specific port that allows streaming content to pass.

Unless otherwise instructed, Windows Media streams try to pass through firewalls using the following default port for the selected protocol:

  • HTTP protocol. Port 80.
  • MMS protocol. Port 1755.
  • RTSP protocol. Port 554

Related topics

  • Setting network options
  • Streaming proxy settings


Streaming proxy settings

Option Description
Streaming proxy settings Specifies how each protocol operates with a proxy server. Proxy servers are used when networks are protected by firewalls. If your network is behind a firewall, and you don't know how to configure your settings, consult your network administrator.

A proxy server uses the following default port for the selected protocol:

  • HTTP protocol. Port 80.
  • MMS protocol. Port 1755.
  • RTSP protocol. Port 554.
Configure Click to change the proxy settings of the selected protocol. There are several ways that you can configure a protocol to work with a proxy server:
  • Autodetect proxy settings. The Player determines the ports that are open and uses them to receive streaming content.
  • Use proxy settings of the Web browser. The Player uses the same configuration as your browser to access network communication.
  • Do not use a proxy server. The Player does not try to communicate with a proxy server. Typically, this means that the Player does not receive streaming content from the Internet.
  • Use the following proxy server. The Player uses the proxy server and the port specified. If you don't want the Player to use the proxy server when streams are from local servers, select Bypass proxy server for local addresses.

Related topics

  • Setting network options
  • Streaming protocols


Troubleshooting the Player

This section covers:

  • Technical support options

Related topics

  • Introducing Windows Media Player 10


Technical support options

This is a preliminary ("technical beta") release of Windows Media Player 10. Because the software is still under development, some features might not work as expected.

If you encounter a problem while using this software, see the Release Notes page on the Windows Media Web site. It includes information about the minimum system requirements and any known issues.

If you need further assistance, you can obtain technical support by using the Windows Media Beta Newsgroup (microsoft.public.windowsmedia.beta). When you ask your question on the newsgroup, be sure to include the following information:

  • Windows Media Player version (for example, "10.00.00.xxxx"). To display the Player version, on the Help menu, click About Windows Media Player.
  • Windows operating system version (for example, "Windows XP Professional Service Pack 1"). To display the Windows version, click Start, right-click My Computer, and then click Properties.
  • The task that you were trying to accomplish prior to encountering the problem
  • If an error message is displayed, note the error message text (for example, "Windows Media Player has encountered an unknown error.")
  • If an error message is displayed, note the error message ID number (for example, "C00D11CD"). To display the ID number, click the Web Help or More Information button when the error message is displayed.
  • If the problem only occurs when you use a particular file, Web link, or URL, provide details about that item

Please note that the newsgroup is maintained primarily by users such as yourself. Consequently, Microsoft cannot guarantee that your question will be answered.

For information about using a newsgroup, see the Using Newsgroups page on the Microsoft Web site.

Related topics

  • Troubleshooting the Player


Accessibility for people with disabilities

Microsoft is committed to making its products and services easier for everyone to use. The following topics provide information about the features, products, and services that make Windows Media Player more accessible for people with disabilities:

  • Accessibility features in Windows Media Player
  • Accessibility features in Windows Media Player Help
  • Accessibility products and services from Microsoft

Note Image Note

  • The information in this section may apply only to users who license Microsoft products in the United States. If you obtained this product outside of the United States, you can use the subsidiary information card that came with your software package or visit the Microsoft Accessibility Web site for a list of telephone numbers and addresses for Microsoft support services. You can contact your subsidiary to find out whether the type of products and services described in this section are available in your area. Information about accessibility is available in other languages, including Japanese and French.


Accessibility features in Windows Media Player

In addition to accessibility features and utilities in Windows, the following features make Windows Media Player more accessible for people with disabilities:

  • Keyboard access

Related topics

  • Accessibility for people with disabilities


Accessibility features in Windows Media Player Help

Windows Media Player Help includes features that make it accessible to a wider range of users, including those who have limited dexterity, low vision, or other disabilities.

The following topics provide ways in which you can make the Help window more accessible:

  • To change the appearance of a Help topic
  • To change the color of the background or text in Help
  • To change the font in Help
  • Keyboard shortcuts for using the Help window

Related topics

  • Accessibility for people with disabilities


To change the appearance of a Help topic

  1. To customize the colors, font styles, and font sizes used in Help, open the Help window.
  2. Click Options, and then click Internet Options.
  3. On the General tab, click Accessibility. Select Ignore colors specified on Web pages, Ignore font styles specified on Web pages, and Ignore font sizes specified on Web pages. You also can choose to use the settings specified in your own style sheet.
  4. To change the colors used in Help, see To change the color of the background or text in Help. To change the font, see To change the font in Help.

Related topics

  • Accessibility features in Windows Media Player Help


To change the color of the background or text in Help

  1. Open the Help window.
  2. Click Options, and then click Internet Options.
  3. On the General tab, click Accessibility. Then select Ignore colors specified on Web pages. You also can choose to use the settings specified in your own style sheet.
  4. To customize the colors used in Help, on the General tab, click Colors. Clear the Use Windows Colors check box, and then select the font and background colors that you want to use.

Note Image Note

  • If you change the background color of the Help topics in the Help window, the change also affects the background color when you view a Web page in Microsoft Internet Explorer.

Related topics

  • Accessibility features in Windows Media Player Help


To change the font in Help

  1. Open the Help window.
  2. Click Options, and then click Internet Options.
  3. On the General tab, click Accessibility. To use the same settings as those used in your instance of Microsoft Internet Explorer, select Ignore font styles specified on Web pages and Ignore font sizes specified on Web pages. You also can choose to use the settings specified in your own style sheet.
  4. To customize the font style used in Help, on the General tab, click Fonts, and then click the font style that you want.

Note Image Note

  • If you change the font of the Help topics in the Help window, the change also affects the font when you view a Web page in Microsoft Internet Explorer.

Related topics

  • Accessibility features in Windows Media Player Help


Keyboard shortcuts for using the Help window

By using the following keyboard shortcuts in Help, you can quickly accomplish many common tasks.

To do this | Use this keyboard shortcut
Display the Help window | F1
Switch the cursor between the Help topic pane and the navigation pane (Contents, Search, and Index tabs) | F6
Select the next hidden text or hyperlink | TAB
Select the previous hidden text or hyperlink | SHIFT+TAB
Perform the action for the selected Show All, Hide All, hidden text, or hyperlink | ENTER
Display the Options menu to access any Help toolbar command | ALT+O
Hide or show the pane containing the Contents, Search, and Index tabs | ALT+O, and then press T
Display the previously viewed topic | ALT+O, and then press B
Display the next topic in a previously displayed sequence of topics | ALT+O, and then press F
Return to the specified home page | ALT+O, and then press H
Stop the Help window from opening a Help topic (useful if you want to stop a Web page from downloading) | ALT+O, and then press S
Open the Internet Options dialog box for Microsoft Internet Explorer, where you can change accessibility settings | ALT+O, and then press I
Refresh the topic (useful if you have linked to a Web page) | ALT+O, and then press R
Print all topics in a book or a selected topic only | ALT+O, and then press P
Close the Help window | ALT+F4

Related topics

  • Accessibility features in Windows Media Player Help


Accessibility products and services from Microsoft

Microsoft is committed to making its products and services easier for everyone to use. The following topics provide information about the features, products, and services that make Microsoft Windows more accessible for people with disabilities:

  • Accessibility features of Windows
  • Documentation in alternative formats
  • Customer service for people with hearing impairments
  • For more information

Note image Note

  • The information in this section may apply only to users who license Microsoft products in the United States. If you obtained this product outside of the United States, you can use the subsidiary information card that came with your software package or visit the Microsoft Accessibility Web site for a list of telephone numbers and addresses for Microsoft support services. You can contact your subsidiary to find out whether the type of products and services described in this section are available in your area. Information about accessibility is available in other languages, including Japanese and French.

Related topics

  • Accessibility for people with disabilities


Accessibility features of Windows

The Windows operating system has many built-in accessibility features that are useful for individuals who have difficulty typing or using a mouse, are blind or have low vision, or who are deaf or hard-of-hearing. The features are installed during Setup. For more information about these features, see Help in Windows and the Microsoft Accessibility Web site.

Free step-by-step tutorials

Microsoft offers a series of step-by-step tutorials that provide detailed procedures for adjusting the accessibility options and settings on your computer. This information is presented in a side-by-side format so that you can learn how to use the mouse, the keyboard, or a combination of both.

To find step-by-step tutorials for Microsoft products, see the Microsoft Accessibility Web site.

Assistive technology products for Windows

A wide variety of assistive technology products are available to make computers easier to use for people with disabilities. You can search a catalog of assistive technology products that run on Windows at the Microsoft Accessibility Web site.

If you use assistive technology, be sure to contact your assistive technology vendor before you upgrade your software or hardware to check for possible compatibility issues.

Related topics

  • Accessibility products and services from Microsoft


Documentation in alternative formats

If you have difficulty reading or handling printed materials, you can obtain the documentation for many Microsoft products in more accessible formats. You can view an index of accessible product documentation at the Microsoft Accessibility Web site.

In addition, you can obtain additional Microsoft publications from Recording for the Blind & Dyslexic, Inc (RFB&D). RFB&D distributes these documents to registered, eligible members of their distribution service. For information about the availability of Microsoft product documentation and books from Microsoft Press, contact:

Recording for the Blind & Dyslexic, Inc.
20 Roszel Road
Princeton, NJ 08540

Telephone number from within the United States: (800) 221-4792
Telephone number from outside the United States and Canada: (609) 452-0606
Fax: (609) 987-8116

Recording for the Blind & Dyslexic Web site

Web addresses can change, so you might be unable to connect to the Web site or sites mentioned here.

Related topics

  • Accessibility products and services from Microsoft


Customer service for people with hearing impairments

If you are deaf or hard-of-hearing, complete access to Microsoft product and customer services is available through a text telephone (TTY/TDD) service.

Customer service

You can contact Microsoft Sales Information Center on a text telephone by dialing (800) 892-5234 between 6:30 AM and 5:30 PM Pacific time, Monday through Friday, excluding holidays.

Technical assistance

For technical assistance in the United States, you can contact Microsoft Product Support Services on a text telephone at (800) 892-5234 between 6:00 AM and 6:00 PM Pacific time, Monday through Friday, excluding holidays. In Canada, dial (905) 568-9641 between 8:00 AM and 8:00 PM Eastern time, Monday through Friday, excluding holidays. Microsoft support services are subject to the prices, terms, and conditions in place at the time the service is used.

Related topics

  • Accessibility products and services from Microsoft


For more information

For more information about how accessible technology for computers helps to improve the lives of people with disabilities, see the Microsoft Web site.

Related topics

  • Accessibility products and services from Microsoft


Glossary

To find a term in the glossary, click the letter of the alphabet that is the first letter in the term you want to look up.

You can also read glossary terms within the text of Help by clicking the underlined glossary term links. After you click a glossary link, the glossary term and definition appear in a pop-up window. To close the window, click anywhere on the screen.

A | B | C | D | E | F | G | H | I | J | K | L | M
N | O | P | Q | R | S | T | U | V | W | X | Y | Z

A

analog

The traditional format in which audio and video are transmitted by using a wave or analog signal. An analog signal may not work with digital speakers; computers use digital signals.

anchor window

A small window that can appear in the lower-right corner of the screen when Windows Media Player is in skin mode. You can use the window to return to full mode and access other commands.

Back to Top

B

band

The transmission method used by a radio station (AM, FM, or Internet).

bandwidth

A network's capacity for transferring an amount of data in a given time.

bit rate

The number of bits transferred per second.

broadband

A transmission medium designed for high-speed data transfers over long distances. Cable modem services and DSL are examples of broadband networks.

buffer

An area of computer memory reserved for temporarily holding data before that data is used on the receiving computer. Buffering protects against the interruption of data flow.

Back to Top

C

call sign

The identifying code letters or numbers of a radio or television transmitting station, assigned by a regulatory body.

caption

Text that accompanies images or videos, either as a supplemental description or a transcript of spoken words.

CD

See definition for: compact disc (CD)

CD burner

See definition for: disc burner

CD-R

See definition for: compact disc-recordable (CD-R)

CD-RW

See definition for: compact disc-rewritable (CD-RW)

chapter

In a DVD, a portion of a title, such as a scene or sequence. A title can contain one or more chapters.

See also: title

codec

An abbreviation for compressor/decompressor. Software or hardware used to compress and decompress digital media.

compact disc (CD)

An optical storage medium for digital data.

compact disc-recordable (CD-R)

A type of CD on which files can be copied, but not erased or replaced.

compact disc-rewritable (CD-RW)

A type of CD on which files can be copied, erased, and replaced.

compression

A process for removing redundant data from a digital media file or stream to reduce its size or the bandwidth used.

connection speed

The maximum rate, in bits per second, at which data can be transferred between a network and a computer or device.

content provider

The person or organization that distributes Windows Media files (for example, a record, movie, or streaming media company). The content provider may also be the content owner.

Back to Top

D

decrypt

To convert encrypted content back into its original form.

See also: encrypt

digital

Data represented as binary digits (zeros and ones).

disc burner

A device used to copy files to recordable CDs and DVDs.

download

To transfer a file over a network in response to a request from the device that receives the data. Downloaded content is kept on the receiving device for playback on demand. In contrast, streamed content is played as it is delivered.

Back to Top

E

encode

To convert audio and video content to a specified digital format.

encrypt

To programmatically disguise content to hide its substance.

See also: decrypt

error correction

In Windows Media Player, a process to ensure that digital audio data is read from the CD-ROM drive accurately during playback or copying. Using error correction can prevent undesirable noises that are not part of the original material.

Back to Top

F

file format

The structure or organization of data in a file. File format is usually indicated by the file name extension.

See also: file name extension, file type

file name extension

A set of characters added to the end of a file name that identifies the file type or format.

See also: file format, file type

file type

A description of the content or format of a file. File type is usually indicated by the file name extension.

See also: file format, file name extension

firewall

A combination of hardware and software that enforces a boundary between two or more networks and prevents unauthorized access to a private network.

frame

One of many sequential images that make up video.

frame rate

The number of video frames displayed per second. Higher frame rates generally produce smoother movement in the picture.

frequency

In Windows Media Player, the number, such as 88.5 or 101.7, used to locate a radio station.

full mode

The default operational state of Windows Media Player in which all of its features are displayed. The Player can also appear in skin mode.

See also: skin mode

Back to Top

G

genre

In Windows Media Technologies, the type of music, such as rock or classical, played by a radio station.

Back to Top

H

HDCD

See definition for: High Definition Compatible Digital (HDCD)

High Definition Compatible Digital (HDCD)

A patented encode/decode process that improves the quality of all forms of digital audio recording and playback by increasing resolution and reducing distortion that occurs during analog-to-digital (A/D) and digital-to-analog (D/A) conversion, digital processing, and digital filtering.

HTTP

See definition for: Hypertext Transfer Protocol (HTTP)

Hypertext Transfer Protocol (HTTP)

The Internet protocol used to deliver information over the World Wide Web.

Back to Top

L

licensed file

A Windows Media file that has an associated license that defines how the file can be played. The restrictions stated in the license vary depending on the license creator. When a CD track is copied by using Windows Media Player, a license can be assigned to the newly created file. Under that license, the file can only be played on the computer where the file was created.

Back to Top

M

MBR

See definition for: multiple bit rate (MBR)

media information

Information about digital media content such as the artist, title, album, producer, and so forth. Also known as metadata or tags.

MIDI

See definition for: Musical Instrument Digital Interface (MIDI)

Moving Picture Experts Group (MPEG)

The committee that creates international standards for coding audio-visual information to a digital, compressed format. The acronym MPEG is appended to the beginning of individual specifications developed by the committee. For example, MPEG-2 refers to the standard, ISO/IEC - 11172.

MPEG

See definition for: Moving Picture Experts Group (MPEG)

multicast

A content delivery method in which a single stream is transmitted from a media server to multiple clients. The clients have no connection with the server. Instead, the server sends a single copy of the stream across the network to multicast-enabled routers, which replicate the data. Clients can then receive the stream by monitoring a specific multicast IP address and port.

multiple bit rate (MBR)

A characteristic of a data stream in which the same content is encoded at several different bit rates in order to optimize content delivery.

Musical Instrument Digital Interface (MIDI)

A specification of the MIDI Manufacturers Association (MMA). The specification defines a protocol for describing music data, such as note on and note off messages; a file format for storing music data, called Standard MIDI; and a standard hardware interface.

Back to Top

P

playlist

A list of digital media content.

port

A connection point in a computer through which a peripheral device or another computer can communicate.

portable device

A mobile electronic device that can exchange files or other data with a computer or device. Examples of portable devices include Pocket PCs, portable digital music players, and Smartphones.

protocol

A set of formats and procedures that enable computers to exchange information.

See also: Hypertext Transfer Protocol (HTTP), Transmission Control Protocol (TCP), User Datagram Protocol (UDP)

proxy server

A server located on a network between client software, such as a Web browser, and another server. It intercepts all requests to the server to determine whether it can fulfill them itself. If not, it forwards the request to another server.

Back to Top

S

skin

A user interface that provides an alternative appearance and customized functionality for software such as Windows Media Player.

skin mode

An operational state of Windows Media Player in which its user interface is displayed as a skin.

See also: full mode, skin

streaming

A method of delivering digital media across a network in a continuous flow. The digital media is played by client software as it is received. Typically, streaming makes it unnecessary for users to download a file before playing it.

Back to Top

T

TCP

See definition for: Transmission Control Protocol (TCP)

title

On a DVD, typically, the largest unit of content, such as a movie or TV program, is called a title. There is not a consistent standard across all DVDs and because of this, a DVD can contain one or more titles.

See also: chapter

track

An individual song or other discrete piece of audio content.

Transmission Control Protocol (TCP)

The protocol within TCP/IP that governs the breakup of data messages into packets to be sent via IP, and the reassembly and verification of the complete messages from packets received by IP.

Back to Top

U

UDP

See definition for: User Datagram Protocol (UDP)

User Datagram Protocol (UDP)

A connectionless transport protocol in the TCP/IP protocol stack that is used in cases where some packet loss is acceptable, for example, with digital media streams.

Back to Top

V

visualization

In Windows Media Player, a graphical display that changes in response to the audio signal.

Back to Top

W

Windows Media file

A file that contains audio, video, or script data. The content of the file is encoded with one of the Windows Media codecs.

Windows Media Format

The format of a digital media file or stream that was encoded with Windows Media codecs.

Back to Top


Advanced Tag Editor

You can use Advanced Tag Editor to add and edit media information for a single file or several files at once. For example, you can add detailed track and artist information, static and synchronized lyrics, pictures, and comments. You can also add information about related Web sites.

Static lyrics are displayed as a whole when the file begins playing, whereas synchronized lyrics are displayed at the times you specify. If you use the Advanced Tag Editor to add static lyrics to a file that does not already have synchronized lyrics, you can convert those static lyrics to synchronized lyrics by clicking Synchronized Lyrics on the Lyrics tab in Advanced Tag Editor. The lyrics will be separated into different entries at each carriage return in the static lyrics. (If you do not click Synchronized Lyrics, the lyrics will remain static.)

When you play a file, the information you add can be viewed in the Info Center View pane. You can also view lyrics by turning on captions and subtitles. You can view pictures in either the Info Center View pane or the Album Art visualization. Windows Media Player displays pictures you add to a file using Advanced Tag Editor instead of displaying other art associated with the file. If you add multiple pictures by using Advanced Tag Editor, the picture you assign as the Cover (front) picture type is either the only one displayed (when the Album Art visualization is displayed) or is displayed first (when Info Center View pane is displayed) when the file is played.

Note Image Note

  • If a file has both captions and lyrics, only the captions are displayed. If a file has both synchronized and static lyrics, only the synchronized lyrics are displayed.

This section covers:

  • To add or edit media information by using Advanced Tag Editor


Synchronized Lyrics

Use the Synchronized Lyrics dialog box to add lyrics that are displayed at the times you specify during playback of a file.

The following options are displayed in the Synchronized Lyrics dialog box.

Option | Description
Description | Click Add then type a description. For each description, you can have multiple entries in the timeline.
Language and Content type | Lists the available languages and content types for the lyrics.
Timeline | Click Add and then type the lyric text and the time at which you want the text to be displayed. When you play back the file, the text for each entry in the timeline is displayed at the specified time. The entry is replaced when the timeline reaches the starting time for another entry. On the graphical timeline, vertical bars indicate each point at which you have added a lyric. To synchronize an entry by playing the file, double-click the bar, and then click Play. The file will begin playing from that entry; you can drag the bar to a different location if you want to change the display time.

Note Image Notes

  • To view synchronized lyrics, you must turn on captions and subtitles.
  • You can also add static lyrics to a file. Any static lyrics are displayed when the file begins playing and are displayed during playback. A file can contain both static and synchronized lyrics; however, only the synchronized lyrics are displayed in the captions and subtitles area during playback.


Web Sites

Use the Web Sites dialog box to add detailed information about a file, including artist Web sites, audio source information, and audio file information.

During file playback, the information you added can be viewed in the Info Center View pane.


CD/DVD Drive Properties

Use this dialog box to specify the playback settings that are used when playing CDs and DVDs, how files are copied to your CD recorder drive, and the sound quality of audio files copied to a data CD.

This section covers:

  • Audio options
  • Recording options
  • Data CD options


Speaker Properties

Use the Speaker Properties dialog box to select the audio output device to use and to change speaker settings.

Sound playback option | Description
Audio device to use | Specifies which audio output device, such as a sound card or sound controller, to use.
Advanced | If available, click to open Sounds and Audio Devices in Control Panel. For more information about changing speaker settings in Sounds and Audio Devices, see Windows Help.
Play WMA Professional content over an S/PDIF digital output Specifies that files that have been encoded by using the Windows Media Audio 9 Professional codec play back over a Sony/Philips digital interface (S/PDIF) connector to consumer audio devices.

Note Image Note

  • This feature is not available if DirectX 9.0b is not installed on your computer. For more information and to download DirectX 9.0b, see the Microsoft DirectX Web site.

Performance option | Description
Use 24-bit audio for audio CDs | Specifies that High Definition Compatible Digital (HDCD) CDs play back using their full audio quality. For more information about HDCD, see the Microsoft HDCD Web site.


Audio options

The following options for playing CDs and DVDs are displayed in the Audio tab in the CD/DVD Drive Properties dialog box.

Playback Options | Description
Digital | Specifies that digital mode is used when playing CDs or DVDs. Audio is sent to your speakers as digital data. If your hardware does not support digital playback, analog playback may be used even though Digital is selected. You must click this option if you want to use the graphic equalizer or the SRS WOW settings.
Use error correction | Specifies whether to correct anomalies in digital playback when listening to CDs or DVDs. Using error correction helps to minimize any minor noises that you can hear.
Analog | Specifies that analog mode is used when playing CDs or DVDs. Audio is sent to your speakers as analog data. When analog data is used, your equalizer and SRS WOW settings do not affect the audio playback.

The following options for copying CDs are displayed in the Audio tab in the dialog box.

Copy Options | Description
Digital Specifies that digital mode is used when copying CDs. Click this option to listen to a CD while you are copying tracks to your computer, or if you have digital speakers.

Your hardware (CD-ROM drive and speakers) determines whether you are able to copy and listen to tracks using digital or analog audio. Select the settings that work best with your hardware.

If you notice hiccups or pops in the copied audio files and your CD-ROM drive is a slower drive (single or double speed), click Analog instead.
Use error correction | Specifies whether to use error correction when copying audio from a CD to your library. The error correction feature tries to fix problems that are caused when audio content is copied to your computer. You may notice scratchy audio or pops in the audio that you copy. Select this check box to help reduce any noise in the audio.
Analog Specifies that analog mode is used when copying CDs. If your hardware does not support digital copying, analog copying may be used instead.

If analog copying is used, background sounds may be recorded.

Related topics

  • Recording options
  • Data CD options


Data CD options

Use the options on the Data CD tab in the CD Drive Properties dialog box to specify the sound quality of audio copied to a data CD. This tab is displayed only if you have selected a CD recorder drive.

The following options are displayed in the Data CD tab in the CD Drive Properties dialog box.

Option | Description
Select quality level automatically (recommended) | Specifies that the Player automatically set the quality level of files that are copied to your data CD. Files take longer to copy to the data CD if the Player is converting them from one quality level to another. It is usually best to let the Player automatically set the quality level of audio.
Select quality level | Specifies that you set the quality level of files that are copied to your portable device.
Write playlists to CD as M3U (audio only) | Specifies that playlists that are copied to data CDs have an .m3u extension rather than a .wpl extension.

Related topics

  • Audio options
  • Recording options


Display Properties

If the video in Windows Media Player appears stretched or skewed, use the slider and/or the horizontal pixels per vertical pixel control in the Display Properties dialog box to adjust the pixel aspect ratio for videos that you play in the Player. Use the slider to perform a coarse adjustment, and then use the control to fine-tune the adjustment.


Edit Auto Playlist

Use the Edit Auto Playlist dialog box to select different criteria for an existing auto playlist. You can change the name of an existing auto playlist to create a new auto playlist.

The following options are displayed in the Edit Auto Playlist dialog box.

Option | Description
Auto Playlist name | Displays the name of the auto playlist.
Criteria selection box | Click options in the box to change the criteria for the auto playlist.
Remove | Click to remove the selected item from the auto playlist criteria.


Customer Experience Improvement Program options

The following option specifies whether to send anonymous Player usage information to Microsoft. The anonymous information obtained from you and other program participants is used to improve the Player and related services.

Option | Description
I want to help make Microsoft software and services even better by sending Player usage data to Microsoft | The Customer Experience Improvement Program helps to improve the quality, reliability, and performance of Microsoft software and services. If you join the program by selecting this check box in Windows Media Player, you can help us improve the Player and related services by sending anonymous Player usage information to Microsoft. We’ll collect anonymous information about your hardware configuration and how you use the software and services to identify trends and usage patterns. The information that you send us is completely anonymous. We will not collect your name, address, or any other personally identifiable information. There are no surveys to complete, no salesperson will call, and you can continue working without interruption. Read more about the Customer Experience Improvement Program.

Note Image Note

  • If you are upgrading Windows Media Player, your previous settings for some of the options are retained.

Related topics

  • More information about privacy options


Enhanced Content Provider Services options

You can use the following options to control whether content providers can uniquely identify your Player when you receive streaming media from their servers and to control whether Web servers can store cookies on your computer.

Option Description
Send unique Player ID to content providers The Player can be uniquely identified by Web servers, using an identifier created by the Player. The identifier uniquely identifies the Player connection to a server and does not contain any personally identifiable information about you.

If the check box for this option is selected when you receive streaming media over the Internet, Windows Media Player sends a unique identifier to the server that is delivering the stream or receiving connection information. The server typically uses this unique identifier to perform tasks such as monitoring your connections, gathering statistics, and providing access to content. By monitoring your connection, the server administrator can often make adjustments to improve the playback quality and to provide additional services.

The Player does not send this unique ID to content providers by default. Note that you may encounter content providers that require you to send a unique identifier to receive content. If so, you can select this check box to provide that identifier. For more information about how a content provider uses the Player ID, see the content provider's privacy policy.

If you do not want a server to be able to uniquely identify your computer when you are receiving streaming media, do not select this check box.
Cookies Cookies are small files that contain information content providers can use to customize the data sent back to your computer. Cookies are sent from Web servers and are stored on your computer. The servers may also record or log the requests made by the Player.

The Player uses the cookie settings in Internet Explorer to communicate with other computers when playing streaming content and to communicate with the Web sites that display content in the Guide feature and Services area of the Player. Cookies also enable content providers to provide personalized services from their Web sites.

You can prevent (block) your computer from storing cookies from a specific Web site by adding the address of that Web site to a list in Internet Explorer and then specifying that you want to block cookies from that site. You can also prevent your computer from storing cookies from all Web sites or ask to be prompted before cookies are stored on your computer by changing the security level in Internet Explorer. For more information about cookies, see Internet Explorer Help.

Note Image Note

  • Any changes made to cookie settings in Internet Explorer affect not only the Player, but also Internet Explorer, Microsoft Outlook®, and Microsoft Outlook Express.

Note Image Note

  • If you are upgrading Windows Media Player, your previous settings for some of the options are retained.

Related topics

  • More information about privacy options


Enhanced Playback and Device Experience options

To enrich your experience when playing CDs, DVDs, and digital media files, the Player downloads related media information about the content, such as the album title, album art, song and DVD titles, artist, composer, and other information.

You can use the following options to control whether related media information is retrieved for your digital media content.

Option Description
Display media information from the Internet The Player can try to obtain media information for the CDs and DVDs that you play. To obtain the media information, the Player sends the CD or DVD identifier to a database operated by your default online store. The online store then sends the information back to your computer, where the information is stored.

When your computer is offline, the Player stores the request for media information so it can try to obtain the media information the next time your computer is connected to the Internet.

Note Image Note

  • The media information that is retrieved may not be in your local language.
Update my music files by retrieving additional media info The Player can automatically obtain and update missing media information for music files that are added to or stored in your library, if the information is available. By default, the music files in your My Music folder are added to Library.

The Player tries to update any missing media information in your music files by sending data about the files to a database operated by your default online store, if this check box is selected and you perform any of the following actions:

  • Use Library for the first time after updating the Player
  • Add files to Library by searching your computer
  • Add files to monitored folders, such as My Music

For example, if you have music files that contain the artist name but not the album name, the Player adds the album name to the file after retrieving the information from the database.

The Player also adds album art to files and music folders in your My Music folder.

When you display the Info Center View or Album Information panes, the Player retrieves related media information but does not update the information in your files.

Note Image Note

  • The media information that is retrieved may not be in your local language.
Acquire licenses automatically for protected content The Player automatically acquires a license when a file requires one. Acquiring licenses automatically can provide a more seamless playback experience for protected files, because the Player obtains the license without prompting you.

Some protected content requires a license to play it. To acquire licenses for content (other than content from CDs that you copy to your computer), you may be required to visit the content provider's Web site. Once a license is acquired, it is stored on your computer.

You cannot play protected content if you do not have the license. In some cases, you may be required to pay for the license. In other cases, you may be required to complete a form before the content provider will issue the license to you.
Set clock on devices automatically The Player can automatically set and refresh an internal clock on your device. This enables you to synchronize protected files that have licenses containing expiration dates with your device.

Select this option if you want to play protected content with expiration dates on your portable device.

Note Image Note

  • The Player cannot synchronize protected files with expiration dates with a device that does not contain an internal clock. For more information, see your device documentation.

Note Image Note

  • If you are upgrading Windows Media Player, your previous settings for some of the options are retained.

Related topics

  • More information about privacy options


History options

Links to files and URLs are saved in a few places in the Player and on your computer. You can use the following options to prevent others from seeing which files you play and which Internet addresses (URLs) you visit.

Option Description
Save file and URL history in the Player Lists of your most recently played files are displayed on the File menu and in the Open and Open URL dialog boxes.

If this check box is selected, anyone who uses the Player with your user account can see the list of the content that you have played recently.
Clear History Click this button to remove stored information from the list on the File menu and from the list in the Open URL dialog box.

To remove stored information from the list in the Open dialog box, you must empty the My Recent Documents folder on the computer. For more information, see To remove stored information from the list in the Open dialog box.
Clear CD/DVD Click this button to remove all stored media information about CDs and DVDs that you have played. After downloading media information about CDs and DVDs from the Internet, the information is stored on your computer so that it is available to you even when your computer is not connected to the Internet.

If you remove the media information for your CDs and DVDs, you will need to be connected to the Internet when you play them to view album art, track names, album names, and so on.

Note Image Notes

  • The Player must send information about the CD and DVD to your default online store to display the correct album art and other media information.
  • For performance reasons, the Player stores information about the devices that connect to it in a cache. You can also use this option to clear the cache of device information.

Note Image Notes

  • Clearing the Save file and URL history in the Player check box does not remove the history of files that you have already played and URLs that you have already visited. It only prevents the history of files played and URLs visited in the future from being stored.
  • If you are upgrading Windows Media Player, your previous settings for some of the options are retained.

Related topics

  • More information about privacy options


Open URL

Use the Open URL dialog box to enter the location of a digital media file that you want to play.

The following options are displayed in the Open URL dialog box.

Option | Description
Open Provides a space for you to type the URL or the location of a digital media file on the Internet, your computer, or your network. The location that you enter must include the name of the file, including its extension, for example, C:\My Documents\My Music\Play.m3u.

The following list provides examples of the kinds of locations you can specify:

  • mms://server/filename (for example, a file with a .wma, .wmv, .asf, or .mp3 extension)
  • http://server/filename
  • \\server\content\filename
  • file://\\server\content\filename
  • mms://server/sami.asf?SAMI=http://server/sami/sami_demo.smi (SAMI file)
Browse | Click to browse your computer or network to find a digital media file.


Legal Notice

This document supports a preliminary release of a software product that may be changed substantially prior to final commercial release. This document is provided for informational purposes only and Microsoft makes no warranties, either express or implied, in this document. Information in this document, including URL and other Internet Web site references, is subject to change without notice. The entire risk of the use or the results from the use of this document remains with the user. Unless otherwise noted, the example companies, organizations, products, domain names, e-mail addresses, logos, people, places, and events depicted herein are fictitious, and no association with any real company, organization, product, domain name, e-mail address, logo, person, place, or event is intended or should be inferred. Complying with all applicable copyright laws is the responsibility of the user. Without limiting the rights under copyright, no part of this document may be reproduced, stored in or introduced into a retrieval system, or transmitted in any form or by any means (electronic, mechanical, photocopying, recording, or otherwise), or for any purpose, without the express written permission of Microsoft Corporation.

Microsoft may have patents, patent applications, trademarks, copyrights, or other intellectual property rights covering subject matter in this document. Except as expressly provided in any written license agreement from Microsoft, the furnishing of this document does not give you any license to these patents, trademarks, copyrights, or other intellectual property.

© 2004 Microsoft Corporation. All rights reserved.

Microsoft, MS-DOS, Windows, Windows NT, Windows Server, Active Directory, ActiveSync, ActiveX, Direct3D, DirectDraw, DirectInput, DirectMusic, DirectPlay, DirectShow, DirectSound, DirectX, FrontPage, HighMAT, JScript, Microsoft Press, MSN, Outlook, PowerPoint, Visual Basic, Visual C++, Visual InterDev, Visual J++, Visual Studio, WebTV, Windows Media, Win32, and Win32s are either registered trademarks or trademarks of Microsoft Corporation in the United States and/or other countries.

This product contains graphics filter software; this software is based in part on the work of the Independent JPEG Group.

GIF decompression code, copyright 1990, David Koblas. Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. This software is provided "as is" without express or implied warranty.

The names of actual companies and products mentioned herein may be the trademarks of their respective owners.


Add to Library By Searching Computer

Use the Add to Library By Searching Computer dialog box to search for digital media files to add to your library. You can limit the scope of your search and specify the size of the digital media files that are added to your library.

The following options are displayed in the Add to Library By Searching Computer dialog box.

Search Option | Description
Search on | Lists the drives on which you can search for digital media files. To search computers on your network, you must first map or assign a drive letter to other computers.
Look in | Specifies a folder on an individual drive to search for digital media files.
Browse | Click to locate a folder.
New files only (fast) | Specifies that media information is updated only for new files added to Library.
New files and existing files in library without media information | Specifies that media information is updated for new files added to Library and for existing files without media information.
New files and all existing files in library (slow) | Specifies that media information is updated for new files added to Library and for all existing files in Library.

Advance Option | Description
Add files previously deleted from library | Specifies whether files you have deleted from Library are added to Library again when your computer or drive is searched for digital media files.
Add volume leveling values for all files (slow) | Specifies that volume leveling values are added to files in Library. Volume leveling enables the files to play back at a similar volume level.

Links to all files found in the location specified are added to Library in the following categories:

  • Links to music are added to your All Music category
  • Links to television programs recorded with Windows XP Media Center Edition are added to your All TV category
  • Links to picture files in .jpg format are added to your All Photos category
  • Links to video files are added to your All Video category

Note Image Notes

  • If you click <User-selected search path> in the Search on box, you can type the path to the folder without mapping a drive letter.
  • If you share your computer with another person, the other person's digital media files may be added to your library and vice versa when you add files by searching the computer. You may not be able to play the other person's files, depending on the permissions set on the folder that contains the files.
  • The advanced search options that you specify in the Add To Library By Searching Computer dialog box apply to the contents of any folders that you add to your library and any folders that are being monitored for content.


New Auto Playlist

Use the New Auto Playlist dialog box to select criteria for the items to be included in a new auto playlist. The criteria are filters that the Player uses to sort through the information in your library and generate the auto playlist.

The following options are displayed in the New Auto Playlist dialog box.

Option | Description
Auto Playlist name | Provides a space for the name of the new auto playlist.
Criteria selection box | Click options in the box to select or type the criteria for the new auto playlist.
Remove | Click to remove the selected item from the auto playlist criteria.


More information about privacy options

Microsoft recognizes that you are concerned about protecting your privacy when using your computer and accessing the Internet.

The following sections provide more information about the privacy options in Windows Media Player.

  • Enhanced Playback and Device Experience options
  • Enhanced Content Provider Services options
  • Customer Experience Improvement Program options
  • History options

If you want to review or change these options later, you can do so in the Player by clicking the Tools menu, clicking Options, and then clicking the Privacy tab.

For more information about privacy, see the Windows Media Player Privacy Statement.

For more information about privacy and WindowsMedia.com, see the WindowsMedia.com Privacy Statement.

Note Image Note

  • If you are upgrading Windows Media Player, your previous settings for some of the options are retained.


Windows Media Player banner art

© 2004 Microsoft Corporation. All rights reserved.


Updating media information for files automatically

When you copy tracks from audio CDs or when you copy other types of music files to your library, the Player automatically obtains related media information, if the option to update the music files by retrieving missing media information from the Internet is selected and your computer is connected to the Internet.

You can also manually add and edit media information.

Media information is stored in both the files and the Library database.

When the Player automatically retrieves media information, it may make the following changes to your files:

  • By default, missing media information is appended to any existing media information in your audio files.
  • Media information is added to the files in the form of tags. For example, the Player may add the following tag to an audio file: <artist name=Beethoven>.
  • Album art is added to files and music folders in your My Music folder.
  • The date modified is changed when media information is edited or obtained.

In addition, if the option to rename music music using media information is selected, changes to media information in your files may cause the files to be moved to another location in Library; if the option to rearrange music using media information is selected, changes to media information in your files may cause the files to be moved to another location in the folder to which the files were copied.


Portable Device Properties

Use this dialog box to set synchronization options and change quality levels of music, video, and recorded TV shows that are synchronized with a portable device.

This section covers the following options:

  • Synchronize
  • Quality


Quality

Music quality level option | Description
Select quality level automatically (recommended) Specify that the Player automatically set the quality level (size) of music files that are copied to your portable device.

Note Image Note

  • Files take longer to copy to portable devices if the Player is converting them from one quality level to another. It is usually best to let the Player automatically set the quality level of audio.
Select quality level | Specify that you set the quality level of files that are copied to your portable device.

Video/TV quality level option | Description
Select quality level automatically (recommended) Specify that the Player automatically set the quality level (size) of video and Microsoft Recorded TV Show files (.dvr-ms) files that are copied to your portable device.

Note Image Note

  • Files take longer to copy to portable devices if the Player is converting them from one quality level to another. It is usually best to let the Player automatically set the quality level of audio.
Select quality level | Specify that you set the quality level of files that are copied to your portable device.

Related topics

  • Synchronize


Recording options

Use the options on the Recording tab in the CD Drive Properties dialog box to specify settings for your CD recorder drive. This tab is displayed only if you have selected a CD recorder drive.

Related topics

  • Audio options
  • Data CD options


Synchronize

Automatic synchronization option | Description
Device name | Personalize your device by entering a name for it in this box.
Space to use when synchronizing | Specify the amount of space on the device that you want to make available for the files in your library that the Player synchronizes.
Create folder hierarchy on device Select if you want the Player to organize files into folders on your device during synchronization.

Note Image Note

  • Some devices cannot play files that are stored in a directory structure on the device. The Player will inspect your device when you connect it to your computer and clear this check box if it detects that your device can't play synchronized files stored in folders.
  • If synchronization appears to function correctly, but you cannot see the synchronized content on your device, the Player may have failed to detect that your device can't play files stored in folders. Try deleting all content from the device, clearing this check box, and then synchronizing the content with the device again.
Start sync when device connects | Select if you want the Player to start synchronizing files with your device, according to the synchronization settings that you specifed, when you connect your device to the computer.
Settings | Click to choose whether items are synchronized with your device automatically when you connect it to your computer. Also choose the playlists that will be synchronized.

Currently supported devices option | Description
Details | Click to open a Web page that lists information about the types of portable devices with which you can synchronize files.

Related topics

  • Quality


To add or edit media information by using Advanced Tag Editor

  1. Click Library.
  2. In the Details pane, select the item or items you want to edit, and then click Advanced Tag Editor.
  3. Enter the media information for the selected item or items.

Note Image Notes

  • You can enter the media information for several items at once. In the Details pane, select adjacent items by pressing and holding the SHIFT key or select nonadjacent items by pressing and holding the CTRL key while selecting items. Then right-click the selected items.
  • Advanced Tag Editor includes tabs for entering track, artist, lyric, and picture information, and comments. You can also enter synchronized lyrics, and information about Web sites for digital media content.

Related topics

  • Advanced Tag Editor


To remove stored information from the list in the Open dialog box

  1. On the Windows taskbar, right-click the Start button, and then click Properties.
  2. On the Start Menu tab, click Customize.
  3. If you use the Windows XP Start menu, on the Advanced tab, click Clear List.

    -or-

  4. If you use the Classic Start menu, click Clear.

Note Image Note

  • This procedure does not delete the documents from the computer.


To work offline

  • On the File menu, click Work Offline.

Note Image Notes

  • A check mark appears next to the Work Offline command to indicate that it is turned on.
  • Selecting the Work Offline command in the Player selects the same command in Internet Explorer.

Related topics

  • Working offline


Working offline

Your computer must be connected to the Internet to use several Player features and options. If your computer is not connected to the Internet when you try to use one of these features or options, you are prompted to connect to the Internet. If you do not connect to the Internet, the Player displays a page in the feature indicating that the computer is not connected to the Internet. For example, if you are not connected to the Internet when you click Guide, the Player displays a page informing you that the computer must be connected to the Internet.

The following tasks require an Internet connection:

  • Using the Guide feature
  • Accessing online stores in the Online Stores area of the Features taskbar or by using the Online Stores commands on the View menu
  • Retrieving and displaying media information, including album art
  • Finding, viewing, and updating album information
  • Finding and viewing DVD information
  • Acquiring and restoring licenses
  • Downloading codecs, visualizations, portable device drivers, plug-ins, and skins
  • Checking for updates to the Player

You can choose to work offline at any time. However, if you have connected to the Internet while using the Player, some media information may be stored on your computer and may still be available.

The section covers:

  • To work offline

Related topics

  • Using the Player
  • Settings that affect your privacy